// Next available MSG number is   8
// MODULE_ID ACLT1_DCL_
// $Header: /fiji/develop/support/aclt1.dcl 12    9/19/97 4:34p Jeremyc $

//     ACLT.DCL      for AutoCAD LT 3.0
//     First of 4 parts, based on ACAD.DCL.
//
//     Copyright (C) 1993, 1994, 1995, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
// AutoCAD LT   DCL (Dialog Control Language)
// Define AutoCAD LT dialogs

// This file should not be modified when used with AutoCAD LT.
// Modification to the dialogue definitions can have serious adverse
// effects on the use of the product.  Since no modifications to this
// file are allowed, there should be no need for any internal error
// checking on the contents of this file, hence we disable audit checks
// by default.

// DDRMODES stuff follows.

acad_snap : dialog {
        label = "Aiuti per il disegno";
        : row {
            : column {
                : boxed_column {
                    label = "Modalit";
                    : toggle {
                        label = "Or&to";
                        key = "ortho";
                    }
                    : toggle {
                        label = "Pie&no";
                        key = "fill";
                    }
                    : toggle {
                        label = "Test&ovel";
                        key = "qtext";
                    }
                    : toggle {
                        label = "P&untini";
                        key = "blips";
                    }
                    : toggle {
                        label = "Eviden&zia";
                        key = "hilite";
                    }
// AutoCAD LT also doesn't support Groups or PICKSTYLE.
//                  : toggle {
//                      label = "&Gruppi";
//                      key = "group";
//                  }
//                  : toggle {
//                      label = "T&ratteggio";
//                      key = "hatch";
//                  }
                }
            }
            : boxed_column {
                label = "Sna&p";
                : toggle {
                    label = "On";
                    key = "snap";
                }
                : edit12_box {
                    label = "Intervallo &X";
                    key = "s_xsp";
                    errmsg = "Intervallo X di snap";
                }
                : edit12_box {
                    label = "Intervallo &Y";
                    key = "s_ysp";
                    errmsg = "Intervallo Y di snap";
                }
                : edit12_box {
                    label = "Ango&lo";
                    key = "s_ang";
                    errmsg = "Angolo di snap";
                }
                : edit12_box {
                    label = "&Base X";
                    key = "xbase";
                    errmsg = "Base X di snap";
                }
                : edit12_box {
                    label = "Bas&e Y";
                    key = "ybase";
                    errmsg = "Base Y di snap";
                }
            }
            : column {
                : boxed_column {
                    label = "Grig&lia";
                    fixed_height = true;
                    : toggle {
                        label = "On";
                        key = "grid";
                    }
                    : edit12_box {
                        label = "Inter&vallo X";
                        key = "g_xsp";
                        errmsg = "Intervallo X di griglia";
                    }
                    : edit12_box {
                        label = "&Intervallo Y";
                        key = "g_ysp";
                        errmsg = "Intervallo Y di griglia";
                    }
                }
                : boxed_column {
                    label = "Assono&metria snap/griglia";
                    : toggle {
                        label = "On";
                        key = "iso";
                    }
                    : radio_row {
                        key = "isorad";
                        : radio_button {
                            label = "&Sinistra";
                            key = "ileft";
                        }
                        : radio_button {
                            label = "&Alto";
                            key = "itop";
                        }
                        : radio_button {
                            label = "&Destra";
                            key = "iright";
                        }
                    }
                }
            }
       }
       ok_cancel_help_errtile;
}

//  DDRMODES stuff precedes.

lt_text: text {
    width = 25;
}

lt_image: image_button {
    height = 1;
    width = 15;
    allow_accept = true;
}

acad_tstyle : dialog {
    label = "Stile di testo";
    : row {
        : column {
            : list_box {
                key = "style_list";
                width = 16;
                height = 8;
                allow_accept = true;
            }
            : button {
                label = "&Mostra tutto...";
                key = "showall";
            }
        }
        : column {
            : image {
                key = "style_image";
                height = 7;
                width = 20;
            }
            : edit_box {
                key = "style_sample";
                label = "&Testo di esempio:";
                edit_width = 6;
                fixed_width = true;
                alignment = centered;
            }
        }
    }
    spacer;
    : edit_box {
        key = "style_edit";
        label = "&Nome dello stile:";
        edit_width = 31;
        edit_limit = 217;
        fixed_width = true;
        allow_accept = true;
    }
    : row {
        : paragraph {
            : text_part {
                label = "Font:";
            }
            : text_part {
                label = "Altezza:";
            }
            : text_part {
                label = "Larghezza:";
            }
            : text_part {
                label = "Inclinazione:";
            }
            : text_part {
                label = "Generazione:";
            }
        }
        : paragraph {
            : text_part {
                key = "font";
                width = 32;
            }
            : text_part {
                key = "height";
                width = 32;
            }
            : text_part {
                key = "width";
                width = 32;
            }
            : text_part {
                key = "oblique";
                width = 32;
            }
            : text_part {
                key = "gen";
                width = 32;
            }
        }
    }
    ok_cancel_err;
}

acad_tstyle_sym : dialog {
    key = "acad_tstyle_sym";
    label = "Simboli";
    : text {
        key = "page";
        width = 10;
    }
    : image {
        key = "showall";
        color = graphics_background;
        height = 16;
        width = 70;
    }
    : row {
        : ok_button {
            is_cancel = true;
        }
        : button {
            label = "&Precedente";
            key = "pagedown";
            width = 10;
        }
        : button {
            label = "Segue&nte";
            key = "pageup";
            width = 10;
        }
    }
}

acad_icon: dialog {
        key = "label";
        initial_focus               = "listbox";
        : row {
            : list_box {
                width               = 20;
                height              = 21;
                fixed_height        = true;
                key                 = "listbox";
                allow_accept        = true;
            }
            : column {
                : row {
                    : icon_image {
                        key         = "icon1";
                    }
                    : icon_image {
                        key         = "icon2";
                    }
                    : icon_image {
                        key         = "icon3";
                    }
                    : icon_image {
                        key         = "icon4";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon5";
                    }
                    : icon_image {
                        key         = "icon6";
                    }
                    : icon_image {
                        key         = "icon7";
                    }
                    : icon_image {
                        key         = "icon8";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon9";
                    }
                    : icon_image {
                        key         = "icon10";
                    }
                    : icon_image {
                        key         = "icon11";
                    }
                    : icon_image {
                        key         = "icon12";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon13";
                    }
                    : icon_image {
                        key         = "icon14";
                    }
                    : icon_image {
                        key         = "icon15";
                    }
                    : icon_image {
                        key         = "icon16";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon17";
                    }
                    : icon_image {
                        key         = "icon18";
                    }
                    : icon_image {
                        key         = "icon19";
                    }
                    : icon_image {
                        key         = "icon20";
                    }
                }
/*
 *              : row {
 *                  : icon_image {
 *                      key         = "icon21";
 *                  }
 *                  : icon_image {
 *                      key         = "icon22";
 *                  }
 *                  : icon_image {
 *                      key         = "icon23";
 *                  }
 *                  : icon_image {
 *                      key         = "icon24";
 *                  }
 *              }
 */
            }
        }
        : row {
            : row {
                spacer_0;
                : row {
                    fixed_width = true;
                    : button {
                        label = "&Precedente";
                        key = "prev";
                        width = 8;
                    }
                    :spacer {
                        width = 2;
                    }
                    :button {
                        label = "  &Seguente  ";
                        key = "next";
                        width = 8;
                    }
                }
                spacer_0;
            }
            spacer;
            ok_cancel;
        }
}

// Removed for LT 3.0 because Mtext no longer has access to these properties
//acad_mtprop_edit_box : edit_box {
//    edit_width = 20;
//    edit_limit = 30;
//}

// Removed for LT 3.0 because Mtext no longer has access to these properties
//acad_mtprop_popup_list : popup_list {
//    edit_width = 24;
//}

// Removed for LT 3.0 because Mtext no longer has access to these properties
//acad_mtprop : dialog {
//    label = "Propriet del testo multiplo";
//    :boxed_column {
//        label = "Contenuto";
//        :acad_mtprop_popup_list {
//            label = "&Stile del testo:";
//            key = "sty";
//        }
//        :acad_mtprop_edit_box {
//            label = "Alte&zza del testo:";
//            key = "hgt";
//        }
//        :acad_mtprop_popup_list {
//            label = "&Direzione:";
//            list = "Da sinistra a destra\nDall'alto in basso";
//            key = "dir";
//        }
//    }
//    :boxed_column {
//        label = "Oggetto";
//        :acad_mtprop_popup_list {
//            label = "Ancora&ggio:";
//            list = "AltoSinistra\nAltoCentro\nAltoDestra\nMezzoSinistra\nMezzoCentro\nMezzoDestra\nBassoSinistra\nBassoCentro\nBassoDestra";
//            key = "att";
//        }
//        :acad_mtprop_edit_box {
//            label = "&Larghezza:";
//            key = "wid";
//        }
//        :acad_mtprop_edit_box {
//            label = "&Rotazione:";
//            key = "rot";
//        }
//    }
//    ok_cancel_help_errtile;
//}

acad_plan6 : dialog {
    label = "UCS";
    : concatenation {
        : text_part {
            label = "Nome: ";
        }
        : text_part {
            label = "*Globale*";
            key = "name";
            width = 40;
        }
    }
    : row {
        : boxed_column {
            label = "Origine";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "00";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "10";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "20";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = "Asse X";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "01";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "11";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "21";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = "Asse Y";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "02";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "12";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "22";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = "Asse Z";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "03";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "13";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "23";
                    width = 12;
                }
            }
        }
    }
    : ok_button {
        is_cancel = true;
    }
}

acad_plan : dialog {
    label = "Controllo UCS";
    initial_focus = "listbox";
    spacer;
    : list_box {
        label = "Nomi &UCS";
        tabs = "34";
        key = "listbox";
        width = 44;
        tab_truncate = true;
    }
    : row {
        : button {
            label = "&Corrente";
            key = "cur";
        }
        : button {
            label = "C&ancella";
            key = "delete";
        }
        : button {
            label = "&Elenca...";
            key = "list";
        }
    }
    : row {
        : button {
            label = "&Rinomina in:";
            key = "rename";
            fixed_width = true;
        }
        : edit_box {
            key = "rename_edit_box";
            edit_width = 28;
            edit_limit = 217;
        }
    }
    ok_cancel_help_errtile;
}

acad_txtedit : dialog {
    label = "Edita testo";
    initial_focus = "text_edit";
    : edit_box {
        label = "Testo:";
        key = "text_edit";
        edit_width = 40;
        edit_limit = 2048;
        allow_accept = true;
    }
    ok_cancel;
}

acad_attedit : dialog {
    label = "Edita definizione attributo";
    initial_focus = "tag_edit";
    : edit_box {
        key = "tag_edit";
        label = "Etichetta:";
        edit_width = 40;
        edit_limit = 2048;
    }
    : edit_box {
        key = "prompt_edit";
        label = "Messaggio:";
        edit_width = 40;
        edit_limit = 2048;
    }
    : edit_box {
        key = "default_edit";
        label = "Default:";
        edit_width = 40;
        edit_limit = 2048;
    }
    ok_cancel;
    : errtile { width = 45; }
}


//  "Edit Attributes" / "Enter Attributes"  dialogue.

acad_ddatte : dialog {
    key = "ddatte";
    label = "Edita attributo";  // Changes to "Enter Attributes" for
                                          // INSERT with ATTDIA set.
    initial_focus = "edit_1";
    : concatenation {
        : text_part {
            label = "Nome blocco: ";
        }
        : text_part {
            key = "block";
            width = 31;
        }
    }
    spacer_1;
    num_items = 8;                    // Customizable
    //  The number of prompt/edit pairs must match the "num_items" setting.
    : row {
        : text_25    { key = "prompt_1"; }
        : edit32_box { key = "edit_1"; }
    }
    : row {
        : text_25    { key = "prompt_2"; }
        : edit32_box { key = "edit_2"; }
    }
    : row {
        : text_25    { key = "prompt_3"; }
        : edit32_box { key = "edit_3"; }
    }
    : row {
        : text_25    { key = "prompt_4"; }
        : edit32_box { key = "edit_4"; }
    }
    : row {
        : text_25    { key = "prompt_5"; }
        : edit32_box { key = "edit_5"; }
    }
    : row {
        : text_25    { key = "prompt_6"; }
        : edit32_box { key = "edit_6"; }
    }
    : row {
        : text_25    { key = "prompt_7"; }
        : edit32_box { key = "edit_7"; }
    }
    : row {
        : text_25    { key = "prompt_8"; }
        : edit32_box { key = "edit_8"; }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        : retirement_button {
            key = "prev";
            label = "&Precedente";
        }
        : retirement_button {
            key = "next";
            label = " &Seguente ";
        }
        help_button;
    }
    errtile;
}

acad_info : dialog {
    label = "Informazioni sul programma";    // Overridden by caller
    key = "acad_info";
    initial_focus = "listbox";        // Don't want focus on LT's image button
    : row {
        : image_button {              // In ACAD_LT, it's a button
            key = "logo";
            width = 8;
            aspect_ratio = 1.0;
            fixed_height = true;
            alignment = top;
            color = dialog_background;
        }
        : paragraph {
            : text_part {
                key = "text1";
                width = 63;
            }
            : text_part {
                key = "text2";
                width = 63;
            }
            : text_part {
                key = "text3";
                width = 63;
            }
            : text_part {
                key = "text4";
                width = 63;
            }
            : text_part {
                key = "text5";
                width = 63;
            }
            : text_part {
                key = "text6";
                width = 63;
            }
            : text_part {
                key = "text7";
                width = 63;
            }
            : text_part {
                key = "text8";
                width = 63;
            }
            : text_part {
                key = "text9";
                width = 63;
            }
            : text_part {
                key = "text10";
                width = 63;
            }
        }
    }
    spacer;
    : list_box {
        width = 63;
        key = "listbox";
    }
    : ok_button {                     // Permit exit via either ENTER
        is_cancel = true;             //   or CTRL-C.
    }
}

init_view : dialog {

    key = "title";
    initial_focus = "listbox";
    : list_box {
        tabs = "33";
        width = 40;
        key = "listbox";
        allow_accept = true;
    }
    ok_cancel_err;
}

acad_plot : dialog {
    label = "Stampa";
    : row {
        : column {
            : boxed_column {
                label = "Dispositivo/configurazione";
                : text {
                    key = "userid";
                    width = 35;
                }
                : button {
                    label = "Selez. dispositivo&/configurazione...";
                    fixed_width = true;
                    key = "devsel";
                    alignment = centered;
                }
            }
            : boxed_row {
                label = "Parametri penne";
                children_fixed_width = true;
                : button {
                    label = "Asse&gna penne...";
                    key = "assign";
                }
                : button {
                    label = "Ottimizz&azione...";
                    key = "optimize";
                }
            }
            : boxed_column {
                label = "Altri parametri";
                : row {
                    : radio_column {
                        fixed_width = true;
                        : radio_button {
                            label = "Visuali&zza";
                            key = "D";
                        }
                        : radio_button {
                            label = "&Estensione";
                            key = "E";
                        }
                        : radio_button {
                            label = "&Limiti";
                            key = "L";
                        }
                        : radio_button {
                            label = "V&ista";
                            key = "V";
                        }
                        : radio_button {
                            label = "Fi&nestra";
                            key = "W";
                        }
                    }
                    : column {
                        : edit12_box {
                            label = "Risoluzione testo";
                            key = "textreso";
                            errmsg = "Text Resolution";
                        }
                        : toggle {
                            label = "Riempimento testo";
                            key = "textfill";
                        }
                        : toggle {
                            label = "Nas&condi linee";
                            key = "hide";
                        }
                        : toggle {
                            label = "Adatta riempiment&o";
                            key = "plfill";
                        }
                        : toggle {
                            label = "S&tampa su file";
                            key = "file";
                        }
                    }
                }
                : row {
                    alignment = centered;
                    : button {
                        label = "&Vista...";
                        key = "view";
                        fixed_width = true;
                    }
                    : button {
                        label = "Fin&estra...";
                        key = "selwind";
                        fixed_width = true;
                    }
                    : button {
                        label = "&File...";
                        key = "sfile";
                        fixed_width = true;
                    }
                }
            }
        }
        : column {
                : boxed_column {
                    label = "Dimensioni foglio e orientamento";
                    : row {
                        : radio_column {
                            fixed_width = true;
                            : radio_button {
                                label = "&pollici";
                                key = "I";
                            }
                            : radio_button {
                                label = "&mm";
                                key = "M";
                            }
                        }
                        : row {
                            fixed_width = true;
                            : button {
                                label = "Dim. &foglio...";
                                key = "sizbuttn";
                                fixed_width = true;
                            }
                            : text {
                                key = "size";
                                width = 6;
                            }
                            : column {
                                spacer;
                                : image {
                                    key = "vec_image";
                                    width = 4.0;
                                    fixed_width = true;
                                    aspect_ratio = 1.0;
                                    color = dialog_background;
                                }
                                spacer;
                            }
                        }
                    }
                    : text {
                        key = "area";
                        width = 25;
                    }
                }
                : boxed_column {
                    label = "Scala, rotazione e origine";
                    : button {
                        label = "Rotazione e ori&gine...";
                        key = "rot&or";
                        alignment = centered;
                        fixed_width = true;
                    }
                    : row {
                        : column {
                            children_fixed_width = true;
                            : text {
                                key = "pu";
                                width = 14;
                                alignment = right;
                            }
                            : edit_box {
                                edit_width = 10;
                                key = "punit";
                                alignment = centered;
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            children_alignment = centered;
                            : text {
                                label = "=";
                            }
                            : text {
                                label = "=";
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            : text {
                                label = "Unit di disegno";
                            }
                            : edit_box {
                                edit_width = 10;
                                key = "dunit";
                                alignment = centered;
                            }
                        }
                    }
                    : toggle {
                        label = "A&datta dimensione";
                        key = "fit";
                    }
                }
                : boxed_column {
                    label = "Anteprima di stampa";
                    : row {
                        children_fixed_width = true;
                        : button {
                            label = "Antep&rima...";
                            key = "prev";
                        }
                        : radio_row {
                            : radio_button {
                                label = "Parz&iale";
                                key = "earea";
                            }
                            : radio_button {
                                label = "T&utto";
                                key = "full";
                            }
                        }
                    }
                }
        }
    }
    ok_cancel_help;
    : row {
        : errtile { fixed_width = true; }

        // This spacer_0 between the two fixed-width items serves
        // to left-justify the first and right-justify the second,
        // since it's the only flexible-width item in the row.
        spacer_0;

        : row {
            fixed_width = true;
            : text {
                key = "zero";
                width = 3;
            }
            : image {
                key = "pre_image";
                color = dialog_background;
                height = 1;
                width = 18;
            }
            : text {
                key = "comp";
                width = 5;
            }
        }
    }
}

acad_plwin : dialog {
    label = "Finestra";
        : button {
            label = "&Seleziona <";
            key = "pick";
            fixed_width = true;
        }
            : boxed_row {
                label = "&Primo angolo";
                : edit_box {
                    label = "   X:";
                    key = "fpx";
                    edit_width = 10;
                }
                : edit_box {
                    label = "   Y:";
                    key = "fpy";
                    edit_width = 10;
                }
            }
            : boxed_row {
                label = "&Angolo opposto";
                : edit_box {
                    label = "   X:";
                    key = "spx";
                    edit_width = 10;
                }
                : edit_box {
                    label = "   Y:";
                    key = "spy";
                    edit_width = 10;
                }
            }
        ok_cancel_err;
}

acad_plopt : dialog {
    aspect_ratio = 0;
    label = "Ottimizzazione";
    : column {
        : toggle {
            label = "&Nessuna ottimizzazione";
            key = "0";
        }
        : toggle {
            label = "Aggiungi scambio punto &finale";
            key = "1";
        }
        : toggle {
            label = "Aggiungi ordinamento &penne";
            key = "2";
        }
        : toggle {
            label = "Aggiungi ottimizzazione movimento &limitato";
            key = "3";
        }
        : toggle {
            label = "Aggiungi ottimizzazione movimento &completo";
            key = "4";
        }
        : toggle {
            label = "Aggiungi eliminazione vettori orizzontali e &verticali sovrapposti";
            key = "5";
        }
        : toggle {
            label = "Aggiungi eliminazione vettori diagonali &sovrapposti";
            key = "6";
        }
    }
    ok_cancel;
}

acad_plsize : dialog {
    label = "Dimensioni foglio";
    : row {
        : column {
            : concatenation {
                : text_part {
                    label = "&Formato";
                    width = 8;
                }
                : text_part {
                    label = "Largh.";
                    width = 9;
                }
                : text_part {
                    label = "Alt.";
                }
            }
            : list_box {
                key = "listbox";
                tabs = "0 8 17";
                width = 28;
                height = 13;
            }
        }
        spacer_1;
        : column {
            : row {
                : text_part {
                    label = "Formato";
                    width = 8;
                }
                : text_part {
                    label = "Larghezza";
                    width = 11;
                }
                : text_part {
                    label = "Altezza";
                }
            }
            spacer_0;
            : row {
                : text_part {
                    label = "&UTENTE:   ";
                    width = 8;
                }
                : edit_box {
                    key = "0w";
                    edit_width = 10;
                }
                : edit_box {
                    key = "0h";
                    label = " ";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "UTENTE &1:";
                    width = 8;
                }
                : edit_box {
                    key = "1w";
                    edit_width = 10;
                }
                : edit_box {
                    key = "1h";
                    label = " ";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "UTENTE &2:";
                    width = 8;
                }
                : edit_box {
                    key = "2w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "2h";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "UTENTE &3:";
                    width = 8;
                }
                : edit_box {
                    key = "3w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "3h";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "UTENTE &4:";
                    width = 8;
                }
                : edit_box {
                    key = "4w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "4h";
                    edit_width = 10;
                }
            }
            : row {
                : column {
                    spacer_1;
                    : row {
                        alignment = left;
                        : text_part {
                            label = "Orientamento";
                            fixed_width = true;
                        }
                        : text_part {
                            key = "land";
                            width = 12;
                        }               
                    }
                    spacer;
                }
                : column {
                    spacer;
                    : image {
                        key = "vec_image";
                        width = 4.0;
                        fixed_width = true;
                        aspect_ratio = 1.0;
                        color = dialog_background;
                    }
                    spacer;
                } 
            }
        }
    }
    ok_cancel_err;
}

acad_plpen : dialog {
    label = "Assegna penne";
    : column {
        : row {
            : paragraph {
                : concatenation {
                    : text_part {
                        label = "Colore    N. penna";
                        key = "1";
                        width = 20;
                    }
                    : text_part {
                        label = "Tipolinea";
                        key = "2";
                        width = 11;
                    }
                    : text_part {
                        label = "Vel.";
                        key = "3";
                        width = 7;
                    }
                    : text_part {
                        label = "Spess.";
                        key = "4";
                    }
                }
                : list_box {
                    key = "listbox";
                    tabs = "2 11 22 32 38";
                    width = 50;
                    multiple_select = true;
                }
            }
            : boxed_column {
                label = "Modifica valori";
                : row {
                    : text_part {
                        label = "Colore:";
                        width = 10;
                        fixed_width = true;
                    }
                    : image {
                        key = "color_image";
                        width = 4.0;
                        height = 0.5;
                    }
                }
                : text {
                    width = 13;
                    key = "varies";
                }
                : row {
                    : text_part {
                        label = "&Penna:";
                        width = 10;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "penno";
                        edit_width = 8;
                    }
                }
                : row {
                    : text_part {
                        label = "&Tipolinea:";
                        width = 10;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "ltype";
                        edit_width = 8;
                    }
                }
                : row {
                    : text_part {
                        label = "&Velocit:";
                        width = 10;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "speed";
                        edit_width = 8;
                    }
                }
                : row {
                    : text_part {
                        label = "&Spessore:";
                        width = 10;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "width";
                        edit_width = 8;
                    }
                }
            }
        }
        : row {
            : button {
                label = "&Legenda caratteristiche...";
                key = "legend";
                fixed_width = true;
            }
        }
    }
    ok_cancel_err;
}

acad_plpre : dialog {
    label = "Anteprima area di stampa";
        : image {
            key = "pimage";
            height = 11.25;
            width = 25;
            fixed_width = true;
            fixed_height = true;
            alignment = centered;
        }
        : row {
            : image {
                key = "cpaper";
                width = 2.0;
                color = red;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "paper";
                width = 50;
            }
        }
        : row {
            : image {
                key = "earea";
                width = 2.0;
                color = blue;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "area";
                width = 50;
            }
        }
        : row {
            : image {
                key = "clip";
                width = 2.0;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "cliptxt";
                width = 50;
            }
        }
        : text {
            width = 50;
            key = "warn";
        }
        : list_box {
            height = 3;
            key = "listbox";
        }
    ok_button;
}

acad_plok : dialog {
   label = "Anteprima di stampa";
   : column {
       width = 15;
       : button {
           label = "&Pan e zoom";
           key = "zoomd";
       }
       : button {
           key = "accept";
           label = "&Fine anteprima";
           is_cancel = true;
       }
   }
}

acad_plokcan : dialog {
    label = "Anteprima di stampa";
    : column {
        width = 15;
        : button {
            label = "&Zoom precedente";
            key = "zoomd";
        }
        : button {
            key = "accept";
            label = "&Fine anteprima";
            is_cancel = true;
        }
    }
}

acad_devdesc : dialog {
    label = "Descrizione dispositivo";
    : column {
        : text {
            label = "AutoCAD LT richiede una descrizione per potere rintracciare la periferica successivamente.";
        }
        : edit_box {
            label = "Descrizione:";
            key = "desc";
        }       
    }
    ok_cancel;
}

acad_devinf : dialog {
    label = "Selezione dispositivo/configurazione";
    : boxed_column {
                label = "Seleziona configurazione dispositivo";
                : list_box {
                        key = "listbox";
                        width = 60;
                        height = 6;
                        tabs = "36";
                }
                : concatenation {
                        : text_part {
                        label = "Produttore: ";
                        fixed_width = true;
                        width = 14;
                        }
                        : text_part {
                        key = "device";
                        width = 50;
                        }
                }
                : concatenation {
                        : text_part {
                        label = "Porta: ";
                        width = 6;
                        }
                        : text_part {
                        key = "port";
                        width = 50;
                        }
                }
    }
    : boxed_row {
                label = "File di configurazione";
            : column {
                    : text {
                            label = "Completo (PC2)";
                alignment = centered;
                    }
            : row {
                        : button {
                                label = "S&alva...";
                                key = "savepc2";
                        }
                        : button {
                                label = "&Sostituisci...";
                                key = "loadpc2";
                        }
            }
            }
        spacer_0;
        : column {
                    : text {
                            label = "Parziale (PCP - LT R2/LT 95)";
                alignment = centered;
                    }
            : row {
                        : button {
                                label = "Sal&va";
                                key = "sfile";
                        }
                        : button {
                                label = "&Unisci...";
                                key = "ffile";
                        }
            }
        }
    }
    : boxed_row {
                label = "Parametri dispositivo";
                : text_part {
                        label = "Requisiti del dispositivo: ";
                        width = 35;
                }
                : button {
                        label = "&Mostra...";
                        key = "showreq";
                        is_enabled = false;
                }
                : button {
                        label = "M&odifica...";
                        key = "cfgreq";
                        is_enabled = false;
                }
    }
    ok_cancel_help_errtile;
}

acad_plferr : dialog {
    label = "Errori sulle impostazioni di default del file";
    : list_box {
        width = 62;
        height = 8;
        key = "listbox";
    }
    : row {
        spacer_0;
        : row {
            fixed_width = true;
            : button {
                key = "save";
                label = "&Crea file di errore";
            }
            : spacer {
                width = 2;
            }
            ok_button;
        }
        spacer_0;
    }
    errtile;
}

acad_rotor : dialog {
    label = "Rotazione e origine";
    : boxed_radio_row {
        label = "Rotazione";
        : radio_button {
            label = "&0";
            key = "0";
        }
        : radio_button {
            label = "&90";
            key = "90";
        }
        : radio_button {
            label = "&180";
            key = "180";
        }
        : radio_button {
            label = "&270";
            key = "270";
        }
    }
    : boxed_row {
        label = "Origine";
        : edit_box {
            label = "Origine &X:";
            key = "originx";
            edit_width = 10;
        }
        : edit_box {
            label = "Origine &Y:";
            key = "originy";
            edit_width = 10;
        }
    }
    spacer;
    ok_cancel_err;
}


acad_dwgmod : dialog {
   label = "Modifica del disegno";
   initial_focus = "save";
   : column {
       : text {
           label = "Il disegno corrente  stato modificato.";
           alignment = centered;
       }
       : row {
           : button {
               label = "&Salva modifiche...";
               is_default = true;
               key = "save";
           }
           : button {
               label = "E&limina modifiche";
               key = "discard";
           }
           : button {
               label = "&Annulla comando";
               is_cancel = true;
               key = "cancel";
           }
       }
   }
}

acad_reinit : dialog {
    label = "Reinizializza";
    : boxed_column {
        label = "Inizializzazione porta I/O";
        : row {
            : toggle {
                label = "&Digitalizzatore";
                key = "1";
                value = "0";
            }
            : toggle {
                label = "&Plotter";
                key = "2";
                value = "0";
            }
        }
    }
    : boxed_column {
        label = "Inizializzazione di file e di dispositivo";
        : toggle {
            label = "Digitali&zzatore";
            key = "g";
            value = "0";
        }
        : toggle {
            label = "&Schermo";
            key = "s";
            value = "0";
        }
        : toggle {
            label = "&File PGP";
            key = "p";
            value = "0";
        }
    }
    ok_cancel;
}

f0 : dialog {
  label = "Tratteggia";
  f0guts;
}

f0he : dialog {
  label = "Edita tratteggio";
  f0guts;
}

f0guts : column {
  : row {
    : column {
      : boxed_row {
        label = "Tipo di modello";
        : column {
            fixed_height = true;
            : button {
                label = "Modello&...";
                key = "pattern_palette";
            }
            : popup_list {
                key = "pattern_type";
                edit_width = 15;
                popup_height = 3;
                list = "Predefinito\nDef. da utente\nPersonalizzato\n";
            }
        }
        : image_button {
            // This should match 'icon_image' in base.dcl in order to match the
            //  bitmaps in 'pattern_palette'.
            color        = 0;
            width        = 11;
            aspect_ratio = 0.66;
            allow_accept = true;
            fixed_height = true;
            fixed_width  = true;
            alignment    = centered;
            key = "pattern_img";
            allow_accept = false;
        }
      }
      : boxed_row {
        label = "Propriet del modello";
        : column {
          isopwidth;
          : popup_list {
            label = "&Modello:";
            edit_width = 12;
            popup_height = 3;
            key = "pattern_name";
          }
          : edit_box {
            label = "Modello person&alizzato:";
            key = "pattern_custom";
            edit_width = 12;
          }
          : edit_box {
            label = "Sca&la:  ";
            key = "hatch_scale";
            edit_width = 12;
          }
          : edit_box {
            label = "An&golo:";
            edit_width = 12;
            key = "hatch_angle";
          }
          : edit_box {
            label = "&Intervallo:";
            key = "hatch_spacing";
            edit_width = 12;
          }
          spacer;
          : toggle {
            label = "&Doppio";
            key = "d_hatch";
          }
        }
      }
    }
    : column {
      children_width = 18;
      children_fixed_width = true;
      children_alignment = centered;
      : boxed_column {
        label = "Contorno";
        spacer;
        : button {
          label = "Seleziona p&unti <";
          key = "pick_bound";
        }
        : button {
          label = "Seleziona ogge&tti <";
          key = "select";
        }
        : button {
          label = "&Rimuovi isole <";
          key = "rem_islands";
        }
        : button {
          label = "&Visualizza selezioni <";
          key = "look_at_it";
        }
        spacer;
        : button {
          label = "Op&zioni avanzate...";
          key = "options";
        }
      }
      spacer;
      : column {
        children_alignment = left;
        : button {
          label = "A&nteprima tratteggio <";
          key = "preview";
          width = 24;
        }
        : button {
          label = "Ad&otta propriet <";
          key = "inherit";
          width = 24;
        }
        spacer;
        : boxed_column {
          label = "Attributi";
          : toggle {
            label = "Asso&ciativo";
            key = "assoc";
          }
          : toggle {
            label = "&Esploso";
            key = "explode";
          }
        }
      }
      spacer;
    }
  }
  : row {
    fixed_width = true;
    alignment = centered;
    spacer;
    : button {
      key = "accept";
      is_default = true;
      label = "Ap&plica";
      width = 8;
    }
    spacer;
    : button {
      key = "cancel";
      label = "Annulla";
      width = 8;
      is_cancel = true;
    }
    spacer;
    : button {
      key = "help";
      label = "&?";
      width = 8;
    }
    spacer;
  }
  errtile;
}

acad_wait : dialog {
   key = "title";
   initial_focus = "accept";
   width = 36;
   spacer; 
   : column {    
       fixed_width = true;  
       fixed_height = true;
       alignment = centered;
       : button {
           key = "accept";
           label = "&Continua";
           is_cancel = true;
       }
    }
    spacer;
}


f1guts : column {
    aspect_ratio = 0;
    : row {
        : boxed_column {
            label = "Definisci gruppo contorni";
            : button {
                label = "&Crea nuovo gruppo contorni <";
                key = "make_select";
            }
            : radio_column {
                key = "use";
                : radio_button {
                    label = "Da tutto &sullo schermo";
                    key = "use_all";
                    value = "1";
                }
                : radio_button {
                    label = "Da gruppo contorni &esistente";
                    key = "use_old_select";
                }
            }
            : toggle {
                label = "&Rilevazione isola";
                key = "islands";
            }
        }
        : boxed_column {
          label = "Stile contorni";
          alignment = top;
          : image_button {
            alignment = centered;
            color = 0;
            aspect_ratio = 0.8;
            width = 10;
            key = "icon_noi";
            fixed_width = true;
            fixed_height = true;
          }
          : popup_list {
            label = "S&tile:";
            key = "hatch_style";
            edit_width = 11;
            popup_height = 3;
            list = "Normale\nEsterno\nIgnora\n";
          }
          spacer;
        }
    }
    : boxed_column {
        label = "Opzioni contorni";
        : row {
            : toggle {
                label = "&Mantieni contorni";
                key = "retain";
            }
            // No "Object Type" (Region/Polyline) popup list in ACAD_LT  
        }
        spacer;
    }
}


f1 : dialog {
    label = "Opzioni avanzate";
    f1guts;
    spacer;
    ok_cancel;
    : errtile { width = 30; }
}



f2 : dialog {
    label = "Creazione contorni";
    initial_focus = "accept";
   : column {
        // No "Object Type" (Region/Polyline) popup list in ACAD_LT  
        : boxed_column {
            label = "Definisci gruppo contorni";
            : radio_column {
                key = "use";
                : radio_button {
                    label = "Da tutto sullo &schermo";
                    key = "use_all";
                    value = "1";
                }
                : radio_button {
                    label = "Da &gruppo contorni esistente";
                    key = "use_old_select";
                }
            }
            : big_button {
                label = "&Crea nuovo gruppo contorni <";
                key = "make_select";
                alignment = centered;
            }
            spacer;
        }
        spacer;
        : toggle {
            label = "&Rilevazione isola";
            key = "islands";
        }
    }
    spacer;
    pick_cancel;
    errtile;
}

fh_open : dialog {
    label = "Errore di definizione del contorno";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = "Il contorno non  chiuso.";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_outside : dialog {
    aspect_ratio = 0;
    label = "Errore di definizione del contorno";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = "Il punto non si trova all'interno del contorno.";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_on : dialog {
    aspect_ratio = 0;
    label = "Errore di definizione del contorno";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = "Il punto si trova direttamente su un oggetto.";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_dup : dialog {
    aspect_ratio = 0;
    label = "Errore di definizione del contorno";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = "Il contorno  uguale a un contorno esistente.";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_awful : dialog {
    aspect_ratio = 0;
    label = "Errore di definizione del contorno";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = "Non  stato trovato un contorno del tratteggio valido.";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_nohatch : dialog {
    aspect_ratio = 0;
    label = "Errore di tratteggio";
    width = 30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = "Non  stato creato nessun tratteggio";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_toodense : dialog {
    aspect_ratio = 0;
    label = "Errore di tratteggio";
    width = 30;
    spacer;
    : column {
        fixed_width = true;
        fixed_height = true;
        alignment = centered;
        : text {
            horizontal_alignment = centered;
            label = "La spaziatura del tratteggio  troppo densa oppure le dimensioni del trattino sono troppo ridotte.";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


falert : dialog {
    label = "AVVISO";
    spacer;
    : text {
        key = "alert_text_1";
        horizontal_alignment = centered;
        width = 50;
    }
    : text {
        key = "alert_text_2";
        horizontal_alignment = centered;
        width = 50;
    }
    spacer_1;
    ok_only;
    spacer;
}

big_button :button{
    fixed_width = true;
    width = 25;
}


look_button : retirement_button {
    label           = "&Osserva";
    key             = "look";
    vertical_alignment = centered;
}


ok_look : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button { is_cancel = true; } 
        : spacer { width = 2; }
        look_button;
    }
}


next_button : button {
        label           = "&Seguente";
        key             = "next";
        fixed_width     = true;
        width           = 9;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


prev_button : button {
        label           = "&Precedente";
        key             = "previous";
        fixed_width     = true;
        width           = 9;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


pick_cancel : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : button { 
            label = "S&eleziona punti <";
            key = "accept";
            is_default = true;
        }
        : spacer { width = 1; }
        cancel_button;
        : spacer { width = 1; }
        help_button;
    }
}

//
// support functions
//

isopwidth : popup_list {
    label = "&Spessore penna ISO:";
    list = " \n0.13 mm\n0.18 mm\n0.25 mm\n0.35 mm\n0.5 mm\n0.7 mm\n1.0 mm\n1.4 mm\n2.0 mm\n";
    popup_height = 3;
    key = "isopenwidth";
    edit_width = 12;
}

text_35 : text {
    width = 35;
}

acad_group : dialog {
    label = "Raggruppa oggetti";
    initial_focus = "name";
    : column {
        : concatenation {
            : text_part {
                label = "Nome &gruppo";
                width = 32;
            }
            : text_part {
                label = "Selezionabile";
            }
        }                                                                      
        : list_box {
            tabs = "36";
            key = "grp_list";
            width = 48;
            height = 5;
            tab_truncate = true;
        }
    }
    :row {
            : boxed_column {
                label = "Identificazione gruppo";
                : column {
                    vertical_margin = tiny;
                    : row {
                        : text_part {
                            label = "Nome g&ruppo:";
                            width = 13;
                        }
                        : edit_box {
                            key = "name";
                            edit_width = 32;
                            edit_limit = 217;
                        }
                    }
                    : row {
                        : text_part {
                            label = "Des&crizione:";
                            width = 13;
                        }
                        : edit_box {
                            key = "desc";
                            edit_width = 32;
                            edit_limit = 448;
                        }
                    }
                }
                : row {
                    children_fixed_width = true;
                    : button {
                        label = "&Trova nome <";
                        key = "find";
                    }
                    : button {
                        label = "&Evidenzia <";
                        key = "h_light";
                    }
                    : toggle {
                        label = "&Includi anonimi";
                        key = "anon";
                    }
                }        
            }
            : boxed_column {
                label = "Crea gruppo";
                    alignment = centered;
                    : button {
                        label = "&Nuovo <";
                        key = "add_new";
                    }
                    : toggle {
                        label = "&Selezionabile";
                        value = "1";
                        key = "select";
                    }
                    : toggle { 
                        label = "&Anonimo";
                        value = "0";
                        key = "unnamed";
                }
        }    
    }
    : boxed_column {
        label = "Cambia gruppo";
        key = "chg_column";
        : row {
            : button {
                label = "Rimuo&vi <";
                key = "remove";
            }
            : button {
                label = "Aggi&ungi <";
                key = "add";
            }
            : button {
                label = "Rino&mina";
                key = "rename";
            }
            : button {
                label = "Ri&ordina...";
                key = "order";
            }
        }
        : row {
            : button {
                label = "Descri&zione";
                key = "chg_desc";
            }
            : button {
                label = "Es&plodi";
                key = "explode";
            }
            : button {
                label = "Se&lezionabile";
                key = "chg_select";
            }
        }
    }
    ok_cancel_help_errtile;
}

 
acad_grp_order : dialog {
    label = "Riordina gruppo";
    : column {
        vertical_margin = none;
        : text {
            label = "Nome &gruppo";
        }
        : list_box {
            key = "grp_list";
            width = 35;
            height = 6;
        }
    }
    : boxed_column {
        label = "&Descrizione"; 
        : text {
            key = "desc";
            width = 32;
        }
    }           
    : boxed_column {
        children_fixed_width = true;
        : row {
            : text {
                key = "remove";
                width = 35;
                horizontal_alignment = right;
            }
            : edit_box {
                edit_width = 10;
                key = "from";
                horizontal_alignment = left;
            }
        }
        : row {
            : text {
                key = "replace";
                width = 35;
                horizontal_alignment = right;
            }
            : edit_box {
                edit_width = 10;
                key = "to";
                horizontal_alignment = left;
            }
        }
        : row {
            : text {
                key = "qtext";
                width = 35;
                horizontal_alignment = right;
            }
            : edit_box {
                edit_width = 10;
                key = "quantity";
                horizontal_alignment = left;
            }
        }
    }
    : row {
        key = "action";
        : button {
            label = "&Riordina";
            key = "reorder";
        }
        : button {
            label = "&Evidenzia";
            key = "hlight";
        }
        : button {
            label = "Inverti &ordine";
            key = "reverse";
        }
    }
    ok_cancel_help_errtile;
}
 
acad_grp_member : dialog {
    label = "Elenco membri gruppo"; 
    initial_focus = "accept";
    : list_box {
        key = "listbox";
        width = 35;
        height = 8;
        fixed_width = true;
    }
    spacer;
    : ok_button {
        is_cancel = true;
    }
}

acad_msg : dialog {
   label = "Raggruppamento oggetti"; 
   width = 38;
   : row {
       next_button;
       prev_button;
   }
   spacer_1;
   : ok_button {
       is_cancel = true;
   } 
   errtile; 
}

ddfcf : dialog {
  label        = "Tolleranza";
  :row {
      : boxed_column {
          label = "Sim";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
             label = "";
          }
          spacer_1;
          : fcf_ibut {
             key         = "sym11";
          }
          spacer_1;
          : fcf_ibut {
             key         = "sym21";
          }
      }
      : boxed_column {
          label = "Tolleranza 1";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "Dia  Valore    Cm";
          }
          spacer_1;
          : row {
              : fcf_ibut {
                  key         = "sym12";
              }
              : fcf_ebox {
                  key         = "ebox11";
              }
              : fcf_ibut {
                  key         = "sym13";
              }
          }
          spacer_1;
          : row {
              : fcf_ibut {
                  key         = "sym22";
              }
              : fcf_ebox {
                  key         = "ebox21";
              }
              : fcf_ibut {
                  key         = "sym23";
              }
          }
      }

      : boxed_column {
          label = "Tolleranza 2";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "Dia  Valore    Cm";
          }
          spacer_1;
          : row {
               : fcf_ibut {
                   key         = "sym14";
               }
               : fcf_ebox {
                   key         = "ebox12";
               }
               : fcf_ibut {
                   key         = "sym15";
               }
          }
          spacer_1;
          : row {
              : fcf_ibut {
                  key         = "sym24";
              }
              : fcf_ebox {
                  key         = "ebox22";
              }
              : fcf_ibut {
                  key         = "sym25";
              }
          }
      }

      : boxed_column {
          label = "Dato 1";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "Dato Cm";
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox13";
              }
              : fcf_ibut {
                  key         = "sym16";
              }
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox23";
              }
              : fcf_ibut {
                  key         = "sym26";
              }
          }
      }

      : boxed_column {
          label = "Dato 2";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "Dato Cm";
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox14";
              }
              : fcf_ibut {
                  key         = "sym17";
              }
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox24";
              }
              : fcf_ibut {
                  key         = "sym27";
              }
          }
      }

      : boxed_column {
          label = "Dato 3";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "Dato Cm";
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox15";
              }
              : fcf_ibut {
                  key         = "sym18";
              }
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox25";
              }
              : fcf_ibut {
                  key         = "sym28";
              }
          }
      }
  }
  spacer_1;
  : column {
      children_fixed_height = true;
      : row {
          fixed_width = true;
          : text {
               label = "Altezza:";
          }
          : fcf_ebox {
              key         = "ebox31";
          }
          : text {
               label = "Zona di tolleranza proiettata:";
          }
          : fcf_ibut {
              key         = "sym31";
          }
      }
      spacer_1;
      : row {
          fixed_width = true;
          : text {
               label = "Identificatore dati:";
          }
          : fcf_ebox {
              key         = "ebox32";
          }
      }
  }
  spacer_1;
  ok_cancel_help_errtile;
}

ddfcfsub: dialog {
  label        = "Simbolo";
  : column {
   : row {
      : fcf_ibut1 {
        key          = "gdtj";      /* Position */
      }
      : fcf_ibut1 {
        key          = "gdtr";      /* Circularity */
      }
      : fcf_ibut1 {
        key          = "gdti";      /* Symmetry */
      }
      : fcf_ibut1 {
        key          = "gdtf";      /* Parallel */
      }
      : fcf_ibut1 {
        key          = "gdtb";       /* Perpendicular */
      }
    }
    : row {
      : fcf_ibut1 {
        key          = "gdta";      /* Angular */
      }
      : fcf_ibut1 {
        key          = "gdtg";      /* Cylindricity */
      }
      : fcf_ibut1 {
        key          = "gdtc";       /* Flatness */
      }
      : fcf_ibut1 {
        key          = "gdte";      /* Circularity */
      }
      : fcf_ibut1 {
        key          = "gdtu";      /* Straightness    */
      }
    }
    : row {
      : fcf_ibut1 {
        key          = "gdtd";      /* Profile of a surface */
      }
      : fcf_ibut1 {
        key          = "gdtk";      /* Line Profile */
      }
      : fcf_ibut1 {
        key          = "gdth";      /* Circular Runout */
      }
      : fcf_ibut1 {
        key          = "gdtt";      /* Total Runout    */
      }
      : fcf_ibut1 {
        key          = "gdt-";      /* Nothing */
      }
    }
  }
  spacer_1;
  ok_cancel_help_errtile;
}

ddfcfsub1: dialog {
  label        = "Condizione materiali";
  : row {
      : fcf_ibut1 {
       key          = "gdtm";   /* Maximum */
      }
      : fcf_ibut1 {
       key          = "gdtl";   /* Least */
      }
      : fcf_ibut1 {
       key          = "gdts";   /* Regardless of feature size */
      }
      : fcf_ibut1 {
       key          = "gdt-";   /* Nothing */
      }
  }
  spacer_1;
  ok_cancel_help_errtile;
}


spelldlg : dialog {
    label = "Ortografia";
    initial_focus = "sp_suggedit";
    : row {
        : text {
            label = "Dizionario corrente: ";
        }
        : text {
            key = "sp_currlang";
            width = 32;
            fixed_width = true;
        }
    }
    spacer;
    : row {
        : boxed_column {
          label = "Parola corrente";
          : text {
              label = "";
              key = "sp_word";
              width = 32;
          }
          spacer;
        }
        : column {
            : cancel_button {
                width = 12;
            }
            : help_button {
                width = 12;
            }
        }
    }
    spacer;
    : text {
        label = "&Suggerimenti:";
    }
    : row {
        : column {
            width = 20;
            : edit_box {
                key = "sp_suggedit";
                edit_limit = 63;
            }
             : list_box {
                key = "sp_sugglist";
                multiple_select = false;
                height = 6;
            }
        }
        children_alignment = top;
        children_fixed_height = true;
        : column {
            : row {
                : button {
                    label = "&Ignora";
                    key = "sp_ignore";
                    width = 13;
                    fixed_width = true;
                    is_default = true;
                }
                : button {
                    label = "Ignora &tutto";
                    key = "sp_ignoreall";
                    width = 19;
                    fixed_width = false;
                }
            }
            : row {
                : button {
                    label = "&Cambia";
                    key = "sp_change";
                    width = 13;
                    fixed_width = true;
                }
                : button {
                    label = "Ca&mbia tutto";
                    key = "sp_changeall";
                    width = 19;
                    fixed_width = false;
                }
            }
            : row {
                : button {
                    label = "A&ggiungi";
                    key = "sp_addcustom";
                    width = 13;
                    fixed_width = true;
                }
                : button {
                    label = "C&onsulta";
                    key = "sp_lookup";
                    width = 19;
                    fixed_width = false;
                }
            }
            spacer_1;
            : button {
                label = "Cambia &dizionari...";
                key = "sp_changedict";
            }
        }
    }
    spacer;
    : boxed_column {
        label = "Contesto";
        : text {
            label = "";
            key = "sp_context";
            width = 32;
        }
        spacer;
    }
    errtile;
}


spelloptdlg : dialog {
    label = "Cambia dizionari";
    initial_focus = "sp_suggedit";
    : row {
        : boxed_column {
            label = "Dizionario &principale";
            : popup_list {
               key = "sp_mainname";
               edit_width = 28;
            }
        }
        spacer_1;
        : column {
            ok_button;
            cancel_button;
            help_button;
        }
    }
    spacer;
    : boxed_column {
        fixed_width = true;
        width = 32;
        label = "Di&zionario personalizzato";
        : edit_box {
            key = "sp_customname";
            edit_limit = 256;
        }
        : button {
            fixed_width = true;
            width = 10;
            alignment = centered;
            label = "&Sfoglia...";
            key = "sp_browse";
        }
    }
    : boxed_column {
        label = "Pa&role del dizionario personalizzato";
        : row {
            : column {
                : edit_box {
                    key = "sp_custedit";
                    width = 30;
                    edit_limit = 63;
                }
                : list_box {
                    key = "sp_customwords";
                    multiple_select = false;
                    height = 6;
                }
            }
            children_alignment = top;
            children_fixed_height = true;
            : column {
                : button {
                    label = "A&ggiungi";
                    key = "sp_custadd";
                }
                : button {
                    label = "&Cancella";
                    key = "sp_custdel";
                }
            }
        }
    }
    errtile;
}


// mstyle - main dialogue:

mstyle : dialog {
    label = "Stile multilinea";
    children_alignment = centered;
    :boxed_row {
        label = "Stile multilinea";
        width = 42; fixed_width = true;
        :column {
            : row {
                : text_part {
                    label = "Corrente:";
                    width = 13;
                }
                : popup_list {
                    key = "current";
                    edit_width = 31;
                    edit_limit = 31;
                }
            }
            : row {
                : text_part {
                    label = "Nome:";
                    width = 13;
                }
                : edit_box {
                    key = "name";
                    edit_width = 31;
                    edit_limit = 217;
                }
            }
            : row {
                : text_part {
                    label = "Descrizione:";
                    width = 13;
                }
                : edit_box {
                    key = "description";
                    edit_width = 31;
                    edit_limit = 255;
                }
            }
            :row {
                :button {
                    label = "Carica...";
                    key = "load";
                }
                :button {
                    label = "Salva...";
                    key = "save";
                }
                :button {
                    label = "Aggiungi";
                    key = "addStyle";
                }
                :button {
                    label = "Rinomina";
                    key = "rename";
                }
            }
        }
    }
    spacer_1;
    :image {
        key = "mline_image";
        height = 4;
        width = 45;
        alignment = centered;
        fixed_width = true;
    }
    :button {
        fixed_width = true;
        width = 32;
        height = 2;
        label = "Propriet elementi...";
        key = "elements";
    }
    :button {
        fixed_width = true;
        width = 32;
        height = 2;
        label = "Propriet multilinea...";
        key = "properties";
    }
    spacer_1;
    ok_cancel_help_errtile;
}

//==================================================================
// mstyle - elements dialogue:

estyle : dialog {
     label = "Propriet elementi";
     : concatenation {
         : text_part {
              label = "Elementi:";
              width = 10;
              fixed_width = true;
         }
         : text_part {
              label = "Offset";
              width = 8;
              fixed_width = true;
         }
         : text_part {
              label = "Colore";
              width = 8;
              fixed_width = true;
         }
         : text_part {
              label = "Tipo di linea";
              fixed_width = true;
         }
     }
     : row {
       : spacer {
         width = 9;
       }
       : list_box {
         width = 40;
         height = 4;
         key = "list_of_lines";
         tabs = "8 16";
       }
     }
     : row {
          fixed_width = true;
          : button {
               fixed_width = true;
               label = "Aggiungi";
               key = "addLine";
          }
          : button {
               fixed_width = true;
               label = "Cancella";
               key = "delLine";
          }
          : spacer { width = 3; }
          : edit_box {
              fixed_width = true;
              label = "Offset";
              key = "offSet";
              value = "0.00";
              edit_width = 6; edit_limit = 6;
          }
     }
     : row {
          fixed_width = true;
          : button {
              fixed_width = true;
              width = 12;
              label = "Colore...";
              key = "lineColDialog";
           }
           : image_button {
              fixed_width = true;
              key = "lineColSwash";
              height = 2; width = 5;
           }
           : edit_box {
              fixed_width = true;
              key = "lineColEdit";
              value = "DALAYER";
              edit_width = 10;
              edit_limit = 10;
           }
     }

     : row {
          fixed_width = true;
          : button {
               fixed_width = true;
               width = 12;
               label = "Tipo di linea...";
               key = "setLineStyle";
          }
          : spacer {
              fixed_width = true;
               width = 6;
          }
          : text {
              fixed_width = true;
               key = "ltype_name";
               value = "DALAYER";
               width = 10;
          }
     }
     ok_cancel_help; 
     errtile;
}

//==================================================================
// mstyle - styles list dialogue:

sstyle : dialog {
     label = "Carica stili multilinea";
     :row {
         :button {
            label = "File...";
            key = "mstyleFileBut";
         }
         : text {
            key = "mstyleFileLabel";
            width = 31;
         }
      }
     : list_box {
         width = 40;
         height = 4;
         key = "list_of_styles";
       }
    ok_cancel_help_errtile;
}

//==================================================================
// mstyle - properties dialogue:

pstyle : dialog {
  label = "Propriet multilinea";
  : row {
    fixed_width = true;
    : toggle {
      label = "Mostra giunti";
      key = "dispJoint";
    }
  }
  : boxed_column {
    label = "Estremit";
    : row {
      fixed_width = true;
      : spacer {
        width = 12;
      }
      : text {
        label = "Inizio";
        width = 9;
      }
      : text {
        label = "Fine";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = "Linea";
        width = 12;
      }
      : toggle {
        key   = "scapline";
      }
      : spacer {
        width = 5;
      }
      : toggle {
        key   = "ecapline";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = "Arco est.";
        width = 12;
      }
      : toggle {
        key   = "scapoarc";
      }
      : spacer {
        width = 5;
      }
      : toggle {
        key   = "ecapoarc";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = "Arco int.";
        width = 12;
      }
      : toggle {
        key   = "scapiarc";
      }
      : spacer {
        width = 5;
      }
      : toggle {
        key   = "ecapiarc";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = "Angolo";
        width = 12;
      }
      : edit_box {
        key   = "scapangle";
        edit_limit = 10;
        edit_width = 10;
        fixed_width = true;
        value = "90.0";
      }
      : spacer {
        width = 2;
      }
      : edit_box {
        key   = "ecapangle";
        edit_limit = 10;
        edit_width = 10; fixed_width = true;
        value = "90.0";
      }
    }

  }
  : boxed_row {
    label = "Riempimento";
    : toggle {
      key = "fillOn";
      label = "On";
    }
    : spacer { width = 2; }
    : button {
      label = "Colore...";
      key = fillColor;
    }
    : image_button {
      key = "fillColSwash";
      height = 2; width = 5; fixed_width = true;
    }
    : edit_box {
      key = "filColEdit";
      edit_limit = 10;
      edit_width = 10;
      fixed_width = true;
    }
  }
  ok_cancel_help;
      
  errtile;
}

//==================================================================
// mledit.dcl
//
// 
// Prototype layout for mline edit tools.


//==================================================================
// mledit - main dialogue:

mledit : dialog {

  label = "Strumenti di modifica multilinea";
  : row {
        : image_button {
           key = "medit_cc";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_ct";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_cj";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_cs";
           width = 7;
           height = 3;
           fixed_width = true;
        }
   }
   : row {
        : image_button {
           key = "medit_oc";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_ot";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_av";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_ca";
           width = 7;
           height = 3;
           fixed_width = true;
        }
   }
   : row {
        : image_button {
           key = "medit_mc";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_mt";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_dv";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_wa";
           width = 7;
           height = 3;
           fixed_width = true;
        }
   }
   ok_cancel_help;
   errtile;
}

block_equal : dialog {
  key = "block_equal";
  label = "Sostituisci il nome del blocco";
    : text {
      label = "Il file scelto non pu essere usato come nome di blocco";
      alignment = centered;
    }
    : edit_box {
        label = "Nuovo nome del blocco:";
        key = "blockname";
        edit_width = 31;
        edit_limit = 31;
        alignment = centered;
        allow_accept = true;
    }
    ok_cancel_err;

} 

//  Continues in ACLT2.DCL

// Next available MSG number is   1
// MODULE_ID ACLT2_DCL_
// $Header: /fiji/develop/support/aclt2.dcl 8     4/17/97 5:24p Duff $

//     ACLT.DCL      Version 13.0 for AutoCAD LT 3.0
//     Second of 4 parts
//
//     Copyright (C) 1993, 1994, 1995 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
// AutoCAD DCL (Dialog Control Language)
// Define AutoCAD dialogs

// This file should not be modified when used with AutoCAD.
// Modification to the dialogue definitions can have serious adverse
// effects on the use of the product.  Since no modifications to this
// file are allowed, there should be no need for any internal error
// checking on the contents of this file, hence we disable audit checks
// by default.


// Bmake.dcl - Block make using entmake with a dialogue interface.

bmake : dialog {
    label = "Definizione di blocco";
    : edit_box {
        label = "Nome &blocco:";
        key = "bname";
        edit_limit = 31;
    }
    spacer;
    : row {
        : boxed_column { 
            label = "Punto base";
            : button {
                label = "Selezionare &punto <";
                key = "pick_pt";                 
            }
            : edit_box {
                label = "&X:";
                key = "x_pt";
                edit_width = 10;
            }
            : edit_box {
                label = "&Y:";
                key = "y_pt";
                edit_width = 10;
            }
            : edit_box {
                label = "&Z:";
                key = "z_pt";
                edit_width = 10;
            }
        }
        : column {
            spacer_1;
            : button {
                label = "&Selezionare oggetti <";
                key = "sel_objs";                 
            }
            : concatenation {
                : text_part {
                    label = "Trovati: ";
                }
                : text_part {
                    key = "how_many";
                    width = 5;
                }
             }
             spacer;
             : button {
                 label = "E&lenca nomi di blocco...";
                 key = "list_blocks";
             }
             : toggle {
                 label = "&Conserva oggetti";
                 key = "retain";
             }
         }
    }
   spacer; 
   spacer;
   ok_cancel_help_errtile;
}

bmake_bname_exists : dialog {
    label = "Avvertimento";
    : paragraph {
        : text_part {
            label = "Un blocco con lo stesso nome esiste gi nel disegno.";
        }
        : text_part {
            label = "Si desidera ridefinirlo?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "&Ridefinisci";
            key = "yes";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = "Annulla";
            key = "no";
            width = 8;
        }
    }
}

bmake_list_blocks : dialog {
    label = "Nomi di blocchi in questo disegno";
    : edit_box {
        label = "&Modello:";
        key = "pattern";
    }
    : list_box {                                   
        key = "bl_match";
        width = 32;
//      multiple_select = true;
//      allow_accept = true;
    }
    spacer;
    ok_only;
}

// BMAKE stuff precedes.

//  DDMODIFY stuff follows.

//-------- Subassemblies and prototypes shared across several dialogues -------

ddmod_common_fields : column {
    : boxed_row {
        label = "Propriet";
        : column {
            : row {
                fixed_width = true;
                : button {
                    label = "Colore...";
                    mnemonic = "C";
                    key = "b_color";
                    width = 16;
                    fixed_width = true;
                }
                : image_button {
                    key = "show_image";
                    height = 1;
                    width = 3;
                }
                : text {
                    key = "t_color";
                    width = 12;
                }
            }
            : row {
                fixed_width = true;
                : button {
                    label = "Layer...";
                    mnemonic = "L";
                    key = "b_name";
                    width = 16;
                    fixed_width = true;
                }
                : text {
                    key = "t_layer";
                    width = 16;
                }
            }
            : row {
                fixed_width = true;
                : button {
                    label = "Tipolinea...";
                    mnemonic = "T";
                    key = "b_line";
                    width = 16;
                }
                : text {
                    key = "t_ltype";
                    width = 16;
                }
           }
        }
        spacer_1;
        : column {
            fixed_width = true;
            ddmod_handle_assembly;
            : row {
                : text_part {
                    label = "Altezza:";
                    mnemonic = "A";
                    key = "b_thickness";
                    width = 16;
                    fixed_width = true;
                }
                : edit_box {
                    key = "eb_thickness";
                    edit_width = 15;
                }
            }
            : row {
                : text_part {
                    label = "Scala tipolinea:";
                    mnemonic = "S";
                    width = 16;
                    fixed_width = true;
                }
                : edit_box {
                    key = "eb_ltscale";
                    edit_width = 15;
                }
            }
        }
    }
    spacer;
}

ddmod_num_box : edit_box {
    edit_width = 10;
}

ddmod_pk_pt_button : button {
    label = "Selez. punto <";
    alignment = centered;
}

ddmod_pk_pt_1_button : ddmod_pk_pt_button {
    key = "pick_1";
    mnemonic = "<";
}
ddmod_pk_pt_2_button : ddmod_pk_pt_button {
    key = "pick_2";
    mnemonic = "e";
}
ddmod_pk_pt_3_button : ddmod_pk_pt_button {
    key = "pick_3";
    mnemonic = "o";
}
ddmod_pk_pt_4_button : ddmod_pk_pt_button {
    key = "pick_4";
    mnemonic = "n";
}

ddmod_x_box : ddmod_num_box {
    label = "X:";
    mnemonic = "X";
}
ddmod_y_box : ddmod_num_box {
    label = "Y:";
    mnemonic = "Y";
}
ddmod_z_box : ddmod_num_box {
    label = "Z:";
    mnemonic = "Z";
}

ddmod_x1_box : ddmod_x_box {
    key = "x1_pt";
}
ddmod_x2_box : ddmod_x_box {
    key = "x2_pt";
}
ddmod_x3_box : ddmod_x_box {
    key = "x3_pt";
}
ddmod_x4_box : ddmod_x_box {
    key = "x4_pt";
}

ddmod_y1_box : ddmod_y_box {
    key = "y1_pt";
}
ddmod_y2_box : ddmod_y_box {
    key = "y2_pt";
}
ddmod_y3_box : ddmod_y_box {
    key = "y3_pt";
}
ddmod_y4_box : ddmod_y_box {
    key = "y4_pt";
}

ddmod_z1_box : ddmod_z_box {
    key = "z1_pt";
}
ddmod_z2_box : ddmod_z_box {
    key = "z2_pt";
}
ddmod_z3_box : ddmod_z_box {
    key = "z3_pt";
}
ddmod_z4_box : ddmod_z_box {
    key = "z4_pt";
}
// Xline/Ray edit boxes.
ddmod_xline_x1 : ddmod_x_box {
    key = "xline_x1";
}
ddmod_xline_y1 : ddmod_y_box {
    key = "xline_y1";
}
ddmod_xline_z1 : ddmod_z_box {
    key = "xline_z1";
}
ddmod_xline_x2 : ddmod_x_box {
    key = "xline_x2";
}
ddmod_xline_y2 : ddmod_y_box {
    key = "xline_y2";
}
ddmod_xline_z2 : ddmod_z_box {
    key = "xline_z2";
}

ddmod_handle_assembly : row {
    : text {
        label = "Gestore:";
        width = 16;
        fixed_width = true;
    }
    // width = width of thickness/ltscale edit boxes - 3;
    : text {
        key = "Handle";
        width = 12;
    }
}

ddmod_dimedit_column : column {
    fixed_width = true;
    fixed_height = true;
    : button {
        label = "Modifica...";
        mnemonic = "d";
        key = "mod_text";
        height = 2;
    }
    ddmod_dimedit_mod_style;
}

ddmod_dimedit_mod_style : popup_list {
    label = "Stile: ";
    mnemonic = "e";
    key = "mod_style";
    width = 32;
    list = "";
}

//-------------------- Dialogues --------------------

ddmod_mline : dialog {
    label = "Modifica multilinea";
    ddmod_common_fields;
    : row {
      : concatenation {
         : text_part {
             label = "Stile multilinea: ";
             width = 12;
         }
         : text_part {
             key = "ml_style";
             width = 33;
             fixed_width = true;
         }
      }
      spacer_1;
    }
    spacer;
    : row { 
        alignment = centered;
        fixed_width = true;
        ok_cancel_help;
    }
    errtile;
}

ddmod_xline : dialog {
    label = "Modifica Xlinea";
    ddmod_common_fields;
    spacer;
    : row {
        : boxed_column {
            label = "Punto di origine";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_xline_x1;
            ddmod_xline_y1;
            ddmod_xline_z1;
        }
        : boxed_column {
            label = "Secondo punto";
            fixed_width = true;
            ddmod_pk_pt_2_button;
            ddmod_xline_x2;
            ddmod_xline_y2;
            ddmod_xline_z2;
        }
        : boxed_column {
            label = "Vettore di direzione";
               spacer_1;
                : concatenation {
                    : text_part {
                        label = " X:";
                        width = 4;
                    }
                    : text_part {
                        key = "dir_x";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = " Y:";
                        width = 4;
                    }
                    : text_part {
                        key = "dir_y";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = " Z:";
                        width = 4;
                    }
                    : text_part {
                        key = "dir_z";
                        width = 10;
                    }
                }
                spacer_1;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_ray : dialog {
    label = "Modifica raggio";
    ddmod_common_fields;
    spacer;
    : row {
        : boxed_column {
            label = "Punto iniziale";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_xline_x1;
            ddmod_xline_y1;
            ddmod_xline_z1;
        }
        : boxed_column {
            label = "Secondo punto";
            fixed_width = true;
            ddmod_pk_pt_2_button;
            ddmod_xline_x2;
            ddmod_xline_y2;
            ddmod_xline_z2;
        }
        : boxed_column {
            label = "Vettore di direzione";
               spacer_1;
                : concatenation {
                    : text_part {
                        label = " X:";
                        width = 4;
                    }
                    : text_part {
                        key = "dir_x";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = " Y:";
                        width = 4;
                    }
                    : text_part {
                        key = "dir_y";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = " Z:";
                        width = 4;
                    }
                    : text_part {
                        key = "dir_z";
                        width = 10;
                    }
                }
                spacer_1;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_point : dialog {
    label = "Modifica punto";
    ddmod_common_fields;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Posizione";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            alignment = top;
            fixed_height = true;
            spacer_1;
        }
    }
    ok_cancel_help_errtile;
}

ddmod_line : dialog {
    label = "Modifica linea";
    ddmod_common_fields;
    spacer;
    : row {
        : boxed_column {
            label = "Dal punto";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        : boxed_column {
            label = "Al punto";
            fixed_width = true;
            ddmod_pk_pt_2_button;
            ddmod_x2_box;
            ddmod_y2_box;
            ddmod_z2_box;
        }
        : column {
            : text {
                label = "XYZ del delta: ";
            }
            : column {
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = " X:";
                        width = 4;
                    }
                    : text_part {
                        key = "delta_x";
                        width = 14;
                    }
                }
                : concatenation {
                    : text_part {
                        label = " Y:";
                        width = 4;
                    }
                    : text_part {
                        key = "delta_y";
                        width = 14;
                    }
                }
                : concatenation {
                    : text_part {
                        label = " Z:";
                        width = 4;
                    }
                    : text_part {
                        key = "delta_z";
                        width = 14;
                    }
                }
            }
            spacer_0;
            : column {
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = "Lunghezza: ";
                        width = 8;
                    }
                    : text_part {
                        key = "l_length";
                        width = 14;
                    }
                }
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = "Angolo: ";
                        width = 8;
                    }
                    : text_part {
                        key = "l_angle";
                        width = 10;
                    }
                }
            }
        }
    spacer_1;
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_ellipse : dialog {
    label = "Modifica ellisse";
    ddmod_common_fields;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Centro";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_height = true;
            : ddmod_num_box {
                label = "Raggio maggiore:";
                mnemonic = "R";
                key = "majrad";
            }
            : ddmod_num_box {
                label = "Raggio minore:";
                mnemonic = "m";
                key = "minrad";
            }
            : row {
                : column {
                    : text {
                        label = "Rapporto raggio:";
                    }
                }
                : column {
                    : text {
                        key = "rratio";
                        width = 11;
                    }
                }
            } 
            : ddmod_num_box {
                label = "Angolo iniziale:";
                mnemonic = "i";
                key = "st_ang";
            }
            : ddmod_num_box {
                label = "Angolo finale:";
                mnemonic = "f";
                key = "end_eang";
            }
        }
        : column {
            : boxed_column {
                label = "Vettore asse maggiore";
                fixed_width = true;
                : row {
                    : column {
                        : text {
                            label = "X:";
                        }
                        : text {
                            label = "Y:";
                        }
                        : text {
                            label = "Z:";
                        }
                    }
                    : column {
                        : text {
                            key = "Majraddirx";
                            width = 11;
                        }
                        : text {
                            key = "Majraddiry";
                            width = 11;
                        }
                        : text {
                            key = "Majraddirz";
                            width = 11;
                        }
                    }
                }
            }
            : column {
                fixed_height = true;
                : row {
                    : column {
                        : text {
                            label = "Area: ";
                            key = "Area_text";
                        }
                    }
                    : column {
                        : text {
                            key = "Area";
                            width = 20;
                        }
                    }
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_spline : dialog {
    label = "Modifica spline";
    ddmod_common_fields;
    : row {
        : boxed_column {
            label = "Punti di controllo";
            fixed_width = true;
            : row {
                : column {
                    vertical_margin = wide;
                    : concatenation {
                        : text_part {
                            label = "Vertice:";
                        }
                        : text_part {
                            key = "cntl_ctr";
                            width = 4;
                        }
                    }
                }
                : column {
                    : button {
                        label = "Seguente";
                        mnemonic = "e";
                        key = "next_cntlpt";
                    }
                }
            }
            : concatenation {
                : text_part {
                  label = "X: ";
                }
                : text_part {
                  key = "xtext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Y: ";
                }
                : text_part {
                  key = "ytext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Z: ";
                }
                : text_part {
                  key = "ztext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Peso: ";
                  key = "weight_text";
                }
                : text_part {
                  key = "weight";
                  width = 10;
                }
            }
        }
        : column {
            fixed_height = true;
            : row {
               : column {
                   : text {
                       label = "      ";
                   }
                   : text {
                       label = "Grado:";
                   }
                   : text {
                       label = "Propriet";
                   }
                   : text {
                       label = "      ";
                   }
                   : text {
                       label = "      ";
                   }
                   : text {
                       label = "      ";
                   }
                   : text {
                       label = "      ";
                   }
               }
               : column {
                   : text {
                       label = "    ";
                   }
                   : text {
                       key = "Degree";
                       width = 13;
                   }
                   : text {
                       key = "SpProp1";
                       width = 13;
                   }
                   : text {
                       key = "SpProp2";
                       width = 13;
                   }
                   : text {
                       key = "SpProp3";
                       width = 13;
                   }
                   : text {
                       key = "SpProp4";
                       width = 13;
                   }
                   : text {
                       key = "SpProp5";
                       width = 13;
                   }
               }
            }
        }
        : boxed_column {
            label = "Punti dei dati";
            fixed_width = true;
            key = "data_pts";
            : row {
                : column {
                    vertical_margin = wide;
                    : concatenation {
                        : text_part {
                            label = "Vertice:";
                        }
                        : text_part {
                            key = "data_ctr";
                            width = 4;
                        }
                    }    
                }
                : column {
                    : button {
                        label = "Seguente";
                        mnemonic = "n";
                        key = "next_datapt";
                    }
                }
            }    
            : concatenation {
                : text_part {
                  label = "X: ";
                }
                : text_part {
                  key = "dxtext";
                  width = 10;  
                }
            }    
            : concatenation {
                : text_part {
                  label = "Y: ";
                }
                : text_part {
                  key = "dytext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Z: ";
                }
                : text_part {
                  key = "dztext";
                  width = 10;
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_circle : dialog {
    label = "Modifica cerchio";
    ddmod_common_fields;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Centro";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_height = true;
            : text {
               label = "   ";
            }
            : ddmod_num_box {
                label = "Raggio:";
                mnemonic = "R";
                key = "radius";
            }
            : row {
                : column {
                    : text { label = "Diametro:";      }
                    : text { label = "Circonferenza:"; }
                    : text { label = "Area: ";         }
                }
                : column {
                    : text { 
                        width = 11;
                        key = "Dia";
                        alignment = right;
                    }
                    : text {
                        width = 11;
                        key = "Circum";
                        alignment = right;
                    }
                    : text {
                        width = 20;
                        key = "Area";
                        alignment = right;
                    }
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_arc : dialog {
    label = "Modifica arco";
    ddmod_common_fields;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Centro";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            : text {
               label = "   ";
            }
            : ddmod_num_box {
                label = "Raggio: ";
                mnemonic = "R";
                key = "radius";
            }
            : ddmod_num_box {
                label = "Angolo iniziale: ";
                mnemonic = "i";
                key = "st_ang";
            }
            : ddmod_num_box {
                label = "Angolo finale: ";
                mnemonic = "f";
                key = "end_ang";
            }
            : concatenation {
                : text_part {
                  label = "Angolo totale: ";
                  width = 14;
                }
                : text_part {
                  key = "tot_angle";
                  width = 10;
                }
            }
        }
        spacer;
        : column {
            fixed_height = true;
            fixed_width = true;
            alignment = top;
            : text {
                label = "   ";
            }
            : concatenation {
                : text_part {
                    label = "Lunghezza arco: ";
                    width = 13;
                }
                : text_part {
                    key = "arclen";
                    width = 8;
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_solid : dialog {
    label = "Modifica solido";
    ddmod_common_fields;
    spacer;
    : row {
        children_alignment = top;
        children_fixed_width = true;
        children_fixed_height = true;
        : column {
            : boxed_column {
                label = "Punto 1";
                ddmod_pk_pt_1_button;
                ddmod_x1_box;
                ddmod_y1_box;
            }
        }
        : boxed_column {
            label = "Punto 2";
            ddmod_pk_pt_2_button;
            ddmod_x2_box;
            ddmod_y2_box;
        }
        : boxed_column {
            label = "Punto 3";
            ddmod_pk_pt_3_button;
            ddmod_x3_box;
            ddmod_y3_box;
        }
        : boxed_column {
            label = "Punto 4";
            ddmod_pk_pt_4_button;
            ddmod_x4_box;
            ddmod_y4_box;
            ddmod_z4_box;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_block : dialog {
    label = "Modifica inserimento blocco";
    ddmod_common_fields;
    spacer;
    : concatenation {
       : text_part {
           label = "Nome blocco: ";
           width = 12;
       }
       : text_part {
           key = "Bl_name";
           width = 33;
       }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Punto di inserimento";
            fixed_width = true;
            fixed_height = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : ddmod_num_box {
                label = "Scala-X: ";
                mnemonic = "X";
                key = "xscale";
            }
            : ddmod_num_box {
                label = "Scala-Y: ";
                mnemonic = "Y";
                key = "yscale";
            }
            : ddmod_num_box {
                label = "Scala-Z: ";
                mnemonic = "Z";
                key = "zscale";
            }
            : ddmod_num_box {
                label = "Rotazione: ";
                mnemonic = "R";
                key = "rot";
            }
        }
        spacer;
        : row {
            : column {
                spacer_1;
                : text { label = "Colonne: ";     }
                : text { label = "Righe: ";        }
                : text { label = "Intervallo colonne: "; }
                : text { label = "Intervallo righe: "; }
                : text { label = "Attributi: ";  }
            }
            : column {
                spacer_1;
                : text { width = 11; key = "columns"; }
                : text { width = 11; key = "rows";    }
                : text { width = 11; key = "col_sp";  }
                : text { width = 11; key = "row_sp";  }
                : text { width = 11; key = "attribs"; }
            }
        }
    }
    spacer;
    // ACAD_LT has no "Show clipped block" toggle
    ok_cancel_help_errtile;
}

ddmod_hatch : dialog {
    label = "Modifica tratteggio associativo";
    ddmod_common_fields;
    : row {
      : concatenation {
         : text_part {
             label = "Nome blocco: ";
             width = 12;
         }
         : text_part {
             key = "Bl_name";
             width = 33;
             fixed_width = true;
         }
      }
      spacer_1;
    }
    spacer;
    : row { 
        alignment = centered;
        fixed_width = true;
        ok_cancel;
        : spacer { width = 2; }
        : button {
            label = "Edita tratteggio...";
            mnemonic = "E";
            key = "b_hatch";
        }
        : spacer { width = 2; }
        help_button;
    }
    errtile;
}

ddmod_newhatch : dialog {
    label = "Modifica tratteggio";
    ddmod_common_fields;
    spacer;
    : row { 
        alignment = centered;
        fixed_width = true;
        ok_cancel;
        : spacer { width = 2; }
        : button {
            label = "Edita tratteggio...";
            mnemonic = "E";
            key = "b_hatch";
        }
        : spacer { width = 2; }
        help_button;
    }
    errtile;
}

ddmod_xref : dialog {
    label = "Modifica riferimento esterno";
    ddmod_common_fields;
    spacer;
    : row {
        : concatenation {
           : text_part {
               label = "Nome Xrif: ";
           }
           : text_part {
               key = "Bl_name";
               width = 12;
           }
        }
        spacer_0;
        : concatenation {
           : text_part {
               label = "Percorso: ";
           }
           : text_part {
               key = "path";
               width = 35;
           }
        }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Punto di inserimento";
            fixed_width = true;
            fixed_height = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : ddmod_num_box {
                label = "Scala-X: ";
                mnemonic = "X";
                key = "xscale";
            }
            : ddmod_num_box {
                label = "Scala-Y: ";
                mnemonic = "Y";
                key = "yscale";
            }
            : ddmod_num_box {
                label = "Scala-Z: ";
                mnemonic = "Z";
                key = "zscale";
            }
            : ddmod_num_box {
                label = "Rotazione: ";
                mnemonic = "R";
                key = "rot";
            }
        }
        spacer;
        : row {
            : column {
                spacer_1;
                : text { label = "Colonne: ";     }
                : text { label = "Righe: ";        }
                : text { label = "Intervallo colonne: "; }
                : text { label = "Intervallo righe: "; }
            }
            : column {
                spacer_1;
                : text { width = 11; key = "columns"; }
                : text { width = 11; key = "rows";    }
                : text { width = 11; key = "col_sp";  }
                : text { width = 11; key = "row_sp";  }
            }
        }
    }
    spacer;
    // ACAD_LT has no "Show clipped xref" toggle
    ok_cancel_help_errtile;
}

ddmod_text : dialog {
    label = "Modifica testo";
    ddmod_common_fields;
    spacer;
    : edit_box {
        label = "Testo: ";
        mnemonic = "e";
        key = "t_string";
        width = 50;
        edit_limit = 253;
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Origine";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : ddmod_num_box {
                label = "Altezza: ";
                mnemonic = "A";
                key = "hght";
            }
            : ddmod_num_box {
                label = "Rotazione: ";
                mnemonic = "R";
                key = "rot";
            }
            : ddmod_num_box {
                label = "Fatt. di largh.: ";
                mnemonic = "F";
                key = "wid";
            }
            : ddmod_num_box {
                label = "Inclinazione: ";
                mnemonic = "n";
                key = "obl";
            }
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : popup_list {
                label = "Giustifica:";
                mnemonic = "G";
                key = "popup_just";
                edit_width = 13;
            }
            : popup_list {
                label = "Stile:";
                mnemonic = "i";
                key = "style";
                edit_width = 13;
            }
            : column {
                children_fixed_width = true;
                : toggle {
                    label = "Sottosopra";
                    mnemonic = "p";
                    key = "upsd";
                }
                : toggle {
                    label = "Indietro";
                    mnemonic = "o";
                    key = "bkwd";
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_mtext : dialog {
    label = "Modifica testom";
    ddmod_common_fields;
    : row {
        : boxed_column {
            label = "Punto di inserimento";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        : column {
            : row {
                : edit_box {
                    label = "Contenuto:";
                    mnemonic = "u";
                    width = 40;
                    edit_limit = 250;
                    key = "t_string";
                }
                : button {
                    label = "Editor completo...";
                    mnemonic = "m";
                    key = "MTextEdit";
                }
            }
            : row {
                : column {
                    : popup_list {
                        label = "Stile:";
                        mnemonic = "e";
                        edit_width = 20;
                        key = "style";
                    }
                    : popup_list {
                        label = "Giustifica:";
                        mnemonic = "G";
                        edit_width = 20;
                        key = "MTextJustify";
                    }
                    : popup_list {
                        label = "Direzione:";
                        mnemonic = "D";
                        edit_width = 20;
                        key = "MTextDirection";
                    }
                }
                : column {
                    : ddmod_num_box {
                        label = "Larghezza:";
                        mnemonic = "h";
                        key = "wid";
                    }
                    : ddmod_num_box {
                        label = "Altezza testo:";
                        mnemonic = "o";
                        key = "hght";
                    }
                    : ddmod_num_box {
                        label = "Rotazione:";
                        mnemonic = "R";
                        key = "rot";
                    }
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_attdef : dialog {
    label = "Modifica definizione attributo";
    ddmod_common_fields;
    spacer;
    : row {
        children_fixed_width = true;
        : edit_box {
            label = "Etichetta:";
            mnemonic = "h";
            key = "tag";
            edit_width = 12;
            edit_limit = 253;
        }
        : edit_box {
            label = "Messaggio:";
            mnemonic = "M";
            key = "prompt";
            edit_width = 12;
            edit_limit = 253;
        }
        : edit_box {
            label = "Default:";
            mnemonic = "D";
            key = "t_string";
            edit_width = 12;
            edit_limit = 253;
        }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = "Origine";
            fixed_width = true;
            ddmod_pk_pt_1_button;
            ddmod_x1_box;
            ddmod_y1_box;
            ddmod_z1_box;
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : ddmod_num_box {
                label = "Altezza: ";
                mnemonic = "e";
                key = "hght";
            }
            : ddmod_num_box {
                label = "Rotazione: ";
                mnemonic = "R";
                key = "rot";
            }
            : ddmod_num_box {
                label = "Fatt. di largh.: ";
                mnemonic = "F";
                key = "wid";
            }
            : ddmod_num_box {
                label = "Inclinazione: ";
                mnemonic = "n";
                key = "obl";
            }
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : row {
                : popup_list {
                    label = "Giustifica:";
                    mnemonic = "G";
                    key = "popup_just";
                    edit_width = 13;
                }
            }
            : row {
                : popup_list {
                    label = "Stile:";
                    mnemonic = "i";
                    key = "style";
                    edit_width = 13;
                }
            }
            : row {
                : column {
                   children_fixed_width = true;
                   : toggle {
                      label = "Sottoso&pra";
                      key = "upsd";
                   }
                   : toggle {
                       label = "In&dietro";
                       key = "bkwd";
                   }
                   : toggle {
                       label = "Invisi&bile";
                       key = "inv";
                   }
                }
                : column {
                   children_fixed_width = true;
                   : toggle {
                       label = "C&ostante";
                       key = "con";
                   }
                   : toggle {
                       label = "&Verifica";
                       key = "ver";
                   }
                   : toggle {
                       label = "Preasse&gna";
                       key = "pre";
                   }
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_pline : dialog {
    label = "Modifica polilinea";
    ddmod_common_fields;
    spacer;
    : row {
        fixed_width = true;
        : concatenation {
            : text_part {
                label = "Tipo polilinea: ";
            }
            : text_part {
                key = "ptype";
                width = 19;
            }
        }
    }
    spacer;
    : row {
        : boxed_column {
            label = "Lista vertici";
            fixed_width = true;
            : row {
                : column {
                    vertical_margin = wide;
                    : concatenation {
                        : text_part {
                            label = "Vertice:";
                        }
                        : text_part {
                            key = "ctr";
                            width = 4;
                        }
                    }
                }
                : column {
                    : button {
                        label = "Seguente";
                        mnemonic = "e";
                        key = "next_v";
                    }
                }
            }
            : concatenation {
                : text_part {
                  label = "X: ";
                }
                : text_part {
                  key = "xtext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Y: ";
                }
                : text_part {
                  key = "ytext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Z: ";
                }
                : text_part {
                  key = "ztext";
                  width = 10;
                }
            }
        }
        spacer;
        : boxed_radio_column {
            label = "Tipo curva";
            key = "f-s";
            : radio_button {
                label = "Rettif.";
                mnemonic = "R";
                key = "none";
            }
            : radio_button {
                label = "Quadrat.";
                mnemonic = "Q";
                key = "quad";
            }
            : radio_button {
                label = "Cubica";
                mnemonic = "b";
                key = "cubic";
            }
            : radio_button {
                label = "Adatta";
                mnemonic = "d";
                key = "fit";
            }
        }
        spacer;
        : boxed_column {
            fixed_width = true;
            label = "Polilinea";
            key = "pline";
            : column {
               fixed_height = true;
               : toggle {
                   label = "Chiusa";
                   mnemonic = "h";
                   key = "closed";
               }
               : toggle {
                   label = "Gen. Tlinea";
                   mnemonic = "n";
                   key = "ltgen";
               }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_vport : dialog {
    label = "Modifica finestra";
    ddmod_common_fields;
    : row {
        : boxed_column {
            label = "Centro finestra";
            fixed_width = true;
            : concatenation {
                : text_part {
                  label = "X: ";
                }
                : text_part {
                  key = "xtext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Y: ";
                }
                : text_part {
                  key = "ytext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Z: ";
                }
                : text_part {
                  key = "ztext";
                  width = 10;
                }
            }
        }
        spacer_0;
        : column {
            fixed_width = true;
            : text {
               label = "   ";
            }
            : concatenation {
                : text_part {
                  label = "ID fin.: ";
                  width = 10;
                }
                : text_part {
                  key = "vpid";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Largh.: ";
                  width = 10;
                }
                : text_part {
                  key = "wid";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = "Altez.: ";
                  width = 10;
                }
                : text_part {
                  key = "hght";
                  width = 10;
                }
            }
        }
        spacer_0;
        : column {
            alignment = top;
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : concatenation {
                : text_part {
                  label = "Stato: ";
                  width = 8;
                }
                : text_part {
                  key = "on-off";
                  width = 15;
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_dimen : dialog {
    label = "Modifica quota";
    ddmod_common_fields;
    : row {
        : column {
            fixed_height = true;
            fixed_width = true;
            alignment = top;
            : edit_box {
                label = "Contenuto:";
                mnemonic = "n";
                key = "t_string";
                edit_width = 25;
                edit_limit = 250;
            }
            spacer;
            : popup_list {
                label = "Stile: ";
                mnemonic = "e";
                key = "mod_style";
                edit_width = 25;
                list = "";
            }
        }
        spacer;
        : button {
            alignment = top;
            label = "Editor completo...";
            mnemonic = "d";
            key = "mod_text";
        }
        // ACAD_LT has no Geometry / Format / Annotation buttons
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_leader : dialog {
    label = "Modifica direttrice";
    ddmod_common_fields;
    : row {
        fixed_width = true;
        alignment = centered;
        : column {
            fixed_width = true;
            fixed_height = true;
            // ACAD_LT has no "Edit..." button (it's always disabled anyhow)
            ddmod_dimedit_mod_style;
        }
        : spacer { width = 2; }
        // ACAD_LT has no Geometry / Format / Annotation buttons
        : column {
            : radio_column {
                label = "Tipo";
                key = "s-s";
                : radio_button {
                    label = "&Retta";
                    key = "straight";
                }
                : radio_button {
                    label = "S&pline";
                    key = "spline";
                }
            }
            : toggle {
                label = "Frecc&ia";
                height = 2;
                key = "arrow";
                fixed_width = true;
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_tolerance : dialog {
    label = "Modifica tolleranza";
    ddmod_common_fields;
    : row {
        fixed_width = true;
        alignment = centered;
        ddmod_dimedit_column;
        // ACAD_LT has no Geometry / Format / Annotation buttons
    }
    spacer;
    ok_cancel_help_errtile;
}

ddmod_other : dialog {
    label = "(replaced by object type)";
    key = "title";
    ddmod_common_fields;
    : row {
        fixed_width = true;
        spacer;
        : column {
            alignment = top;
            fixed_height = true;
            spacer_1;
        }
    }
    ok_cancel_help_errtile;
}

ddmod_setltype : dialog {
    label = "Tipo di linea";
    image_block;
    : list_box {
        height = 12;
        key = "list_lt";
        allow_accept = true;
    }
    : edit_box {
        key = "edit_lt";
        allow_accept = false;
        label = "Tipo di linea:";
        mnemonic = "T";
        edit_width = 32;
        edit_limit = 217;
    }
    ok_cancel_err;
}

ddmod_setlayer : dialog {
    subassembly = 0;
    label = "Seleziona layer";
    initial_focus = "listbox";
    : concatenation {
        children_fixed_width = true;
        key = "clayer";
        : text_part {
            label = "Layer corrente: ";
            width = 15;
        }
        : text_part {
            key = "cur_layer";
            width = 35;
        }
    }
    : list_box {
        height = 12;
        key = "list_lay";
        allow_accept = true;
    }
    : row {
        key = "controls";
        : column {
            key = "lname";
            fixed_width = true;
            : edit_box {
                label = "Definisci nome layer:";
                mnemonic = "D";
                key = "edit_lay";
                width = 32;
                edit_width = 32;
                edit_limit = 31;
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}

//  DDMODIFY stuff precedes.

//  DDSELECT stuff follows.  
//  Taken from ddselect.dcl,v 1.11 1995/08/03 10:25:54 edc

ddselect : dialog {
    label = "Selezione";
    : boxed_column {
        label = "Modalit di selezione";
        : toggle {
            label = "Selezione nome/verbo";
            key = "pickfirst";
            mnemonic = "S";
            fixed_width = true;
        }
        : toggle {
            label = "Utilizzare tasto Maiusc per selezioni multiple";
            key = "pickadd";
            mnemonic = "U";
            fixed_width = true;
        }
        : toggle {
            label = "Premere e trascinare";
            key = "pickdrag";
            mnemonic = "P";
            fixed_width = true;
        }
        : toggle {
            label = "Finestra di selezione/Interseca automatica";
            key = "pickauto";
            mnemonic = "F";
            fixed_width = true;
        }
// AutoCAD LT also doesn't support Groups or PICKSTYLE.
//      : toggle {
//          label = "Raggruppamento oggetti";
//          key = "grouping";
//          mnemonic = "R";
//          fixed_width = true;
//      }
//      : toggle {
//          label = "Tratteggio associativo";
//          key = "hatch";
//          mnemonic = "T";
//          fixed_width = true;
//      }
        : button {
            label = "Default";
            key = "default_mode";
            fixed_width = true;
            mnemonic = "D";
            alignment = centered;
        }
    }
    : boxed_row {
        label = "Dimensioni riquadro di selezione";
        mnemonic = "i";
        spacer_0;
        : column {
            spacer_0;
            fixed_width = true;
            : text {
                  label = "Min         Max";
                  alignment = centered;
            }
            : slider {
                key = "pickbox_slider";
                min_value = 0;
                max_value = 19;
                width = 20;
                height = 1;
                small_increment = 1;
                big_increment = 1;
                fixed_width = true;
                fixed_height = true;
            }
            spacer_0;
        }
        : image {
            key = "pickbox_image";
            aspect_ratio = 1;
            height = 4;
            width = 7;
            color = -2;
        }
        spacer_0;
    }
    : button {
        label = "Metodo ordinamento oggetti...";
        key = "ent_sort";
        mnemonic = "o";
        fixed_width = true;
        alignment = centered;
    }
    ok_cancel_help;
}

sortents : dialog {
    label = "Metodo ordinamento oggetti";
    : text {
        label = "Ordina oggetti per";
    }
    : toggle {
        label = "Selezione oggetti";
        key = "sort_obj_sel";
        mnemonic = "S";
        fixed_width = true;
    }
    : toggle {
        label = "Snap ad oggetto";
        key = "sort_obj_snap";
        mnemonic = "n";
        fixed_width = true;
    }
    : toggle {
        label = "Ridisegni";
        key = "sort_redraws";
        mnemonic = "R";
        fixed_width = true;
    }
    : toggle {
        label = "Rigenerazioni";
        key = "sort_regens";
        mnemonic = "g";
        fixed_width = true;
    }
    : toggle {
        label = "Stampa su plotter";
        key = "sort_plot";
        mnemonic = "p";
        fixed_width = true;
    }
    : toggle {
        label = "Output PostScript";
        key = "sort_post";
        mnemonic = "O";
        fixed_width = true;
    }
    ok_cancel;
}

//  DDSELECT stuff precedes.

//  Continues in ACLT3.DCL

// Next available MSG number is   1
// MODULE_ID ACLT3_DCL_
// $Id: aclt3.dcl,v 1.2 1995/10/06 19:21:43 patti Exp $

//     ACLT.DCL      Version 13.0 for AutoCAD LT 3.0
//     Third of 4 parts
//
//     Copyright (C) 1993, 1994, 1995 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
// AutoCAD DCL (Dialog Control Language)
// Define AutoCAD dialogs

// This file should not be modified when used with AutoCAD.
// Modification to the dialogue definitions can have serious adverse
// effects on the use of the product.  Since no modifications to this
// file are allowed, there should be no need for any internal error
// checking on the contents of this file, hence we disable audit checks
// by default.

ddattext : dialog {
    label = "Estrazione attributi";
    : boxed_radio_column {
        label = "Formato file";
        : radio_button {
            label = "File CDF (Comma Delimited File)";
            key = "cdf";
            mnemonic = "C";
           }
           : radio_button {
            label = "File SDF (Space Delimited File)";
            key = "sdf";
            mnemonic = "S";
        }
           : radio_button {
            label = "File DXF (Drawing Interchange File)";
            key = "dxf";
            mnemonic = "D";
        }
    }
	: row {
		:column {
	        : button {
    	        label = "Seleziona oggetti <";
        	    mnemonic = "e";
            	key = "selobjs";
    	    }
	        : button {
        	    label = "File di modello degli attributi... ";
    	        key = "select_temp_file";
	            mnemonic = "m";
	        }
	        : button {
    	        label = "File di output... ";
        	    key = "select_out_file";
            	mnemonic = "o";
	        }
		}
		:column {
        	: concatenation {
            	: text_part {
        	        label = "Trovato(i): ";
    	        }
	            : text_part {
            	    key = "how_many";
        	        width = 5;
    	        }
	        }
	        : edit_box {
            	edit_width = 20;
        	    key = "temp_file";
            	fixed_width = true;
	        	edit_limit = 259;
    	    }
	        : edit_box {
    	        edit_width = 20;
        	    key = "out_file";
            	fixed_width = true;
	        	edit_limit = 259;
    	    }
		}
	}


    ok_cancel_help_errtile;
}

out_exists : dialog {
    label = "Avvertimento";
    : paragraph {
        : text_part {
            label = "Il file di output esiste gi.";
        }
        : text_part {
            label = "Si desidera sostituirlo?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "S";
            mnemonic = "S";
            key = "yes";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = "No";
            mnemonic = "C";
            key = "no";
            width = 8;
        }
    }
}

out_temp : dialog {
    label = "Avvertimento";
    : paragraph {
        : text_part {
            label = "I nomi del file modello e di output sono uguali.";
        }
        : text_part {
            label = "Cambiare il nome del file di output.";
        }
    }
    spacer_1;
    : ok_button {
        is_cancel = true;
    }

}
//  Continues in ACLT4.DCL

// Next available MSG number is   1
// MODULE_ID ACLT4_DCL_
// $Id: aclt4.dcl,v 1.1 1995/07/27 16:51:56 duff Exp $

//     ACLT.DCL      Version 13.0 for AutoCAD LT 3.0
//     Fourth of 4 parts
//
//     Copyright (C) 1993, 1994, 1995 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
// AutoCAD DCL (Dialog Control Language)
// Define AutoCAD dialogs

// This file should not be modified when used with AutoCAD.
// Modification to the dialogue definitions can have serious adverse
// effects on the use of the product.  Since no modifications to this
// file are allowed, there should be no need for any internal error
// checking on the contents of this file, hence we disable audit checks
// by default.

//  CalComp ADI 4.2 AutoCAD Driver
//  Release 6.4.6  7 Nov 1996
//  (C) CalComp, Inc.
//  David Maeschen 
//
//  All labels, lists, and mnemonics should be internationalized
//  Keys and values should not be 
//  (lisp file references them and config file will remain American)

//  Main Menu of the Graphical User Interface
//  MAINMENU.DCL
//  11/07/96  Added Connection CDCLBegin, CDCLEnd, and 
//            Pens Dither Areas and Dithering 
//  09/09/96  Put media image in two columns 
//  06/18/96  Removed accept_return from images
//            Added Connection Timeout ConnTimeout 
//  05/14/96  Added Media Full Page Area MediaFPage 
//  03/29/96  Decimal Connection parameters.  Stretched Cconfig dialog.
//  12/15/95  Allow_accept on edits and images only

mainmenu : dialog {
    label = "Configurazione plotter Calcomp";
    initial_focus = "accept";
    fixed_width = true;
    : row {
	alignment = centered;
	: button {
	    label = "Annotazione...";
	    mnemonic = "A";
	    key = "anno";
	}
	: button {
	    label = "Connessione...";
	    mnemonic = "o";
	    key = "conn";
	}
	: button {
	    label = "Penne...";
	    mnemonic = "P";
	    key = "pens";
	}
	: button {
	    label = "Supporto...";
	    mnemonic = "S";
	    key = "media";
	}
    }
    : row {
	: column {
	    : text_part {
		label = "Modello:";
		key = "modellabel";
	    }
	    : popup_list {
		key = "ccmodels";
		list = "";
		fixed_width = true;
		edit_width = 32;
	    }
	}
	: column {
	    : text_part {
		label = "Configurazione:";
		key = "cfglabel";
	    }
	    : popup_list {
		key = "ccconfigs";
		list = "";
		fixed_width = true;
		edit_width = 32;
	    }
	}
    }
    : row {
	alignment = centered;
	: button {
	    label = "Nuovo";
	    mnemonic = "v";
	    key = "new";
	}
	: button {
	    label = "Elimina";
	    mnemonic = "E";
	    key = "delete";
	}
    }
    : row {
	//fixed_width = true;
	spacer_0;
	: column {  
	    // Begin Left Column
	    :image_button {
		key = "cclogo";
		color = dialog_background;
		height = 5;
		aspect_ratio = 3;
	    }
	    : toggle {
		label = "Usa valori del plotter";
		mnemonic = "U";
		key = "PlotterValues";
	    }
	}  // End Left Column
	spacer_0;
	spacer_0;
	spacer_0;
	spacer_0;
	: column {
	    alignment = right;
	    : popup_list {
		label = "Sorgente:";
		mnemonic = "r";
		key = "Sources";
		list = "Cut sheet\nCut Sheet\nRoll & Cut\nRoll & Cut\n";
		value = "1";
		edit_width = 12;
	    }
	    : popup_list {
		label = "Modalit:";
		mnemonic = "d";
		key = "Modalit";
		list = "Draft\nNormal\nEnhanced\nGraphics\nGraphics Fast\nHi-Res Mono\nInk-Saver";
		value = "1";
		edit_width = 12;
	    }
	    : popup_list {
		label = "Colori: ";
		mnemonic = "C";
		key = "Colors";
		list = "Color\nGreyscale\nBlack";
		value = "0";
		edit_width = 12;
	    }
	    : edit_box {
		label = "Numero di copie:";
		mnemonic = "N";
		key = "Copies";
		value = "1";
		fixed_width = true;
		edit_width = 2;
		edit_limit = 2;
	    }
	}  // End Right Column
	spacer_0;
    }  // End Row of two columns
    : boxed_column {
	label = "Annotazione corrente:";
	: text {
	    width = 50;
	    key = "comment";
	}
    }
    : row {
	fixed_width = true;
	alignment = centered;
	: retirement_button {
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
	: button {
	    label = "?";
	    mnemonic = "?";
	    key = "help";
	    width = 12;
	}
	: button {
	    label = "Informazioni su...";
	    key = "about";
	    width = 12;
	}
    }
}  // End MAIN MENU Dialog //

nomenu : dialog {
    label = "Plotter Calcomp non trovati";
    initial_focus = "accept";
    fixed_width = true;
    : paragraph {
	children_alignment = centered;
	: text_part {
	    label = "Utilizzare il comando 'configura' di AutoCAD ";
	}
	: text_part {
	    label = "per installare un plotter CalComp.  ";
	}
    }
    fixed_width = true;
    alignment = centered;
    : retirement_button {
	label = "OK";
	key = "accept";
	width = 12;
	is_default = true;
    }
}

nomodels : dialog {
    label = "Nessun plotter Calcomp disponibile";
    initial_focus = "accept";
    fixed_width = true;
    : paragraph {
	children_alignment = centered;
	: text_part {
	    label = "OK o Annulla le modifiche?";
	}
    }
    fixed_width = true;
    alignment = centered;
    : row {
	: retirement_button {
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
    }
}
//   About Box
//   ABOUT.DCL
	
about: dialog {
    label = "Informazioni";
    initial_focus = "accept";
    : paragraph {
	children_alignment = centered;
	: text_part {
	    label = "Driver di AutoCAD LT per plotter CalComp";
	}
	: text_part {
	    label = "Versione 6.4.6";
	}
	: text_part {
	    label = "Copyright (C) 1995,1996 CalComp Inc.";
	}
	: image_button {
	    key = "cclogo";
	    color = dialog_background;
	    height = 5;
	    aspect_ratio = 3;
	}
    }
    fixed_width = true;
    alignment = centered;
    : retirement_button {
	label = "OK";
	key = "accept";
	width = 12;
	is_default = true;
    }
}

//   New Box
//   NEW.DCL

new: dialog {
    label = "Nuova configurazione";
    initial_focus = "newcf";
    : edit_box { 
	key = "newcf";
	width = 15;
	edit_limit = 32;
	allow_accept = true;    
    }
    : row {
	fixed_width = true;
	alignment = centered;
	: retirement_button {
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
    }
}

//   Delete Box
//   DELETE.DCL

delete: dialog {
    label = "Elimina configurazione";
    initial_focus = "accept";
    : paragraph {
	: text_part {
	    label = "Si desidera eliminare ";
	}
	: text_part {
	    label = "questa configurazione?";
	}
    }
    : row {
	fixed_width = true;
	alignment = centered;
	: retirement_button {
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
    }
}

//  Annotation Dialog
//  ANNO.DCL

anno: dialog {
    label = "Annotazione";
    initial_focus = "accept";
    : row  { 
	: column {
	    : toggle {
		label = "Nome file";
		mnemonic = "N";
		key = "AnnoFile";
	    }
	    : toggle {
		label = "Data/ora";
		mnemonic = "D";
		key = "AnnoTime";
	    }
	}  
	: column {
	    : toggle {
		label = "Informazioni sul driver";
		mnemonic = "I";
		key = "AnnoDrvr";
	    }
	    : toggle {
		label = "Segni di ritaglio";
		mnemonic = "S";
		key = "AnnoCrop";
	    }
	}  
    } 

    : column {
	: text {
	    key = "commentlabel";
	    label = "Commenti (60 caratteri al massimo):";
	    mnemonic = "C";
	}
	: edit_box {
	    key = "AnnoComm";
	    width = 32;
	    edit_limit = 60;
	    allow_accept = true;
	}
    }  // End Comment column

    : row {
	fixed_width = true;
	alignment = centered;
	: retirement_button {
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
	: button {
	    label = "?";
	    mnemonic = "?";
	    key = "help";
	    width = 12;
	}
    }
}  // End PLOT ANNOTATE Dialog //

//   Connection Dialog (NON CDCL PLOTTERS)
//   CONN.DCL

conn: dialog {
    label = "Connessione";
    initial_focus = "accept";
    : column { 
	: row {
	    spacer_0;
	    : popup_list {
		fixed_width = true;
		label = "Numero di codici SYNC:";
		mnemonic = "N";
		key = "ConnNsync";
		list = "0\n1\n2";
		value = "2";
		edit_width = 3;
	    }
	}
	: row {
	    : column {
		: toggle {
		    label = "PAD";
		    mnemonic = "P";
		    key = "ConnPad";
		}
		: toggle {
		    label = "Somma di controllo";
		    mnemonic = "c";
		    key = "ConnChksum";
		    value = "1";
		}
	    }
	    : column {
		: edit_box {
		    label = "Codice SYNC";
		    mnemonic = "S";
		    key = "ConnSync";
		    value = "22";
		    width = 2;
		    edit_limit = 3;
		    edit_width = 2;
		}
		: edit_box {
		    label = "Codice EOB/EOM";
		    mnemonic = "E";
		    key = "ConnEobm";
		    value = "13";
		    width = 2;
		    edit_limit = 3;
		    edit_width = 2;
		}
	    }
	}
//    Uncomment for Connection Timeout control
	: row {
	    spacer_0;
	    : edit_box {
		fixed_width = true;
		label = "Timeout";
		mnemonic = "T";
		key = "ConnTimeout";
		value = "60";
		width = 2;
		edit_limit = 3;
		edit_width = 2;
	    }
	}
	// Uncomment for CDCL Control
	    : edit_box {
		fixed_width = true;
		label = "CDCLBegin:";
		mnemonic = "T";
		key = "CDCLUser";
		value = "";
		width = 24;
		edit_limit = 60;
		edit_width = 24;
	    }
	    : edit_box {
		fixed_width = true;
		label = "CDCLEnd:   ";
		mnemonic = "T";
		key = "CDCLUserEnd";
		value = "";
		width = 24;
		edit_limit = 60;
		edit_width = 24;
	    }

    }

    : row {
	fixed_width = true;
	alignment = centered;
	: retirement_button {
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
	: button {
	    label = "?";
	    mnemonic = "?";
	    key = "help";
	    width = 12;
	}
    }
}  // End CONN Dialog //

//  Pens Dialog
//  PENS.DCL

pens: dialog {
    label = "Penne";
    initial_focus = "accept";
    fixed_height = true;
    : row {  // Pen
	: column {
	    // Uncomment for intensity control
	    : row {
		: popup_list {
		    label = "Tavolozza dei colori:";
		    mnemonic = "T";
		    key = "PensPalette";
		    list = "CCOLR.CCP\nCGREY.CCP\n";
		    fixed_width = true;
		    edit_width = 12;
		}
		spacer_0;
	      : edit_box {
		  fixed_width = true;
		  label = "Intensit:";
		  mnemonic = "I";
		  key = "PensIntensity";
		  value = "100";
		  width = 2;
		  edit_limit = 3;
		  edit_width = 2;
		}
	    }
	    spacer_1;
	    : row {
		: toggle {
		    label = "Definisci penne";
		    mnemonic = "D";
		    key = "PensDefine";
		    value = "1";
		}
		: toggle {
		    label = "Dithering per linee";
		    mnemonic = "l";
		    key = "PensDither";
		    value = "1";
		}
		// Uncomment for area dithering
		: toggle {
		    label = "Dithering per aree";
		    mnemonic = "a";
		    key = "PensDAreas";
		    value = "1";
		}
	    }
	    // Uncomment for dithering control
	    : radio_row {
		label = "Dithering";
		: radio_button {
		    label = "Standard";
		    key = "Standard";
		    value = "1";
		}
		key = "PensDType";
		: radio_button {
		    label = "Gruppo";
		    key = "Cluster";
		    value = "1";
		}
		: radio_button {
		    label = "Modello";
		    key = "Pattern";
		}
		: radio_button {
		    label = "Stocastico";
		    key = "Stochastic";
		}
	    }     
	    spacer_1;
	}
    }
    : row {
	: boxed_row {
	    label = "Unisci/Sovrapponi";
	    key = "mergelabel";
	    mnemonic = "U";
	    fixed_width = true;
	    fixed_height = true;
	    : image_button {
		key = "merge1";
		width = 5;
		aspect_ratio = 0.95;
	    }
	    : image_button {
		key = "merge2";
		width = 5;
		aspect_ratio = 0.95;
	    }
	}
	: boxed_radio_row {
	    label = "Fine linea/Congiunzione linee";
	    mnemonic = "F";
	    key = "endlabel";
	    fixed_width = true;
	    fixed_height = true;
	    : image_button {
		key = "lend1";
		width = 5;
		aspect_ratio = 0.95;
	    }
	    : image_button {
		key = "lend2";
		width = 5;
		aspect_ratio = 0.95;
	    }
	    : image_button {
		key = "lend3";
		width = 5;
		aspect_ratio = 0.95;
	    }
	    : image_button {
		key = "lend4";
		width = 5;
		aspect_ratio = 0.95;
	    }
	}  // End Row (Line ends/joins)
    }
    : row {
	fixed_width = true;
	alignment = centered;
	: retirement_button {
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
	: button {
	    label = "?";
	    mnemonic = "?";
	    key = "help";
	    width = 12;
	}
    }

}  // End LINE ATTRIBUTES Dialog //


//   Media Dialog
//   MEDIA.DCL

media : dialog {
    label = "Supporto";
    initial_focus = "accept";
    : boxed_row {
	label = "Seleziona orientamento immagine e supporto";
	spacer_0;
	// Limit height to 3.2 for one column 5.4 for two columns
	: column {
	    fixed_width = true;
	    fixed_height = true;
	    : image_button {
		key = "image1";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	    : image_button {
		key = "image2";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	// Two columns
	}
	: column {
	    : image_button {
		key = "image3";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	    : image_button {
		key = "image4";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	}
	spacer_0;
	: column {
	    fixed_width = true;
	    fixed_height = true;
	    : image_button {
		key = "image5";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	    : image_button {
		key = "image6";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	// Two columns
	}
	: column {
	    : image_button {
		key = "image7";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	    : image_button {
		key = "image8";
		height = 5.4;
		aspect_ratio = 1.3;
	    }
	}
	spacer_0;
    }
    : row {
	: toggle {
	    label = "Simmetria x";
	    key = "MediaMirrx";
	}
	: toggle {
	    label = "Simmetria y";
	    key = "MediaMirry";
	}
      // Uncomment for Full Page Area control
      : toggle {
	  label = "Pagina intera";
	  mnemonic = "P";
	  key = "MediaFPage";
      }
    }
    : radio_row {
	label = "Scala plotter su assi lunghi";
	key = "MediaLplot";
	value = "1";
	: radio_button {
	    label = "1";
	    key = "1";
	}
	: radio_button {
	    label = "2";
	    key = "2";
	}
	: radio_button {
	    label = "4";
	    key = "3";
	}
	: radio_button {
	    label = "8";
	    key = "4";
	}
    }     
    : row {
	fixed_width = true;
	alignment = centered;
	: retirement_button {   
	    label = "OK";
	    key = "accept";
	    width = 12;
	    is_default = true;
	}
	: retirement_button {
	    label = "Annulla";
	    key = "cancel";
	    width = 12;
	    is_cancel = true;
	}
	: button {
	    label = "?";
	    mnemonic = "?";
	    key = "help";
	    width = 12;
	}
    }  // End Row;
}

//
// The following is for HPCONFIG 
//

hpmainmenu: dialog {
    label = "Configurazione plotter HP";
    alignment = centered;
    initial_focus = "accept";
    : boxed_row {
        key=  "modellabel";
        label = "Configurazione corrente dispositivo";
                :text {
                    key=  "idmodel";
                }
                : button {
                    label = "Suggerimenti:";
                    key = "DevHints";
                    mnemonic = "S";
                    fixed_width = true;
                }
        }

    : boxed_column {
        label = "Configurazione memoria:";
        key =  "MemCfg";
        : row {
            : toggle {
                label = "Uso ottimale della memoria";
                key = "OptimizeMem";
                mnemonic = "U";
            }
            : concatenation {
                : edit_box {
                    label = "Memoria plotter:";
                    key = "PlotMem";
                    mnemonic = "M";
                    alignment = right;
                    edit_width = 3;
                    edit_limit = 3;
                }
                : text_part {
                    label = "Mb";
                    key = "PlotMemUnits";
                }
            }
            : button {
                label = "Suggerimenti:";
                key = "MemHints";
                mnemonic = "S";
                fixed_width = true;
            }
        }
    }

    : boxed_column {
        label = "Configurazione del plotter:";
        key =  "UserCfg";
        : row {
            : column {  // Begin Left Column
                : boxed_radio_column {
                    label = "Qualit";
                    key   = "qual";
                    : radio_button {
                        label = "Rapida / Bozza";
                        key = "draft";
                        mnemonic = "R";
                    }
                    : radio_button {
                        label = "Rapida / Bozza";
                        key = "final";
                        mnemonic = "a";
                        value = "1";
                    }
                    : radio_button {
                        label = "Ottimale / Avanzata";
                        key = "enhanced";
                        mnemonic = "t";
                    }
                    : radio_button {
                        label = "Default plotter";
                        key = "pldefault";
                        mnemonic = "D";
                    }
                }  // End radio_column (Print Qual) //
            }  // End Left Column
            : column {  // Begin Middle Column
                : edit_box {
                    label = "Numero di copie:";
                    mnemonic = "N";
                    key = "copies";
                    edit_width = 2;
                    edit_limit = 2;
                    fixed_width=true;
                }
                : boxed_radio_column {
                    label = "Colori di stampa";
                    key   = "color_set";
                    : radio_button {
                        label = "A colori";
                        key = "pcolor";
                        mnemonic = "c";
                    }
                    : radio_button {
                        label = "Colori in grigio";
                        key = "pgray";
                        mnemonic = "g";
                    }
                    : radio_button {
                        label = "Tutto in nero";
                        key = "pblack";
                        mnemonic = "n";
                    }
                } //end of color setting
            }
            : column {  
                // Begin Right Column
                : button {
                    label = "Penne...";
                    mnemonic = "P";
                    key = "penattr";
                }
                : button {
                    label = "Annotazioni...";
                    mnemonic = "z";
                    key = "annotate";
                }
                : button {
                    label = "Opzioni di orientamento...";
                    mnemonic = "O";
                    key = "paper";
                }
                : button {
                    label = "Opz. supporto avanzate...";
                    mnemonic = "v";
                    key = "advopt";
                }
            }  // End Right Column
        }  // End Row of two columns

    } // End "User config

    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            key = "helpmain";
            mnemonic = "?";
            width = 12;
        }
        : spacer {
            width = 2;
        }
        : button {
            label = "Informazioni";
            key = "about";
            mnemonic = "I";
            width = 12;
        }
    }
}  // End MAIN MENU Dialog //

//      PENATTR.DCL
//      Dialog Box for setting attributes for pens
//
penattr: dialog {
    label = "Penne";
    initial_focus = "accept";
    fixed_height = true;
    : row {  // Pen
        : column {
            : popup_list {
                label = "Penna (1..255):";
                mnemonic = "P";
                fixed_width = true;
                key = "slider";
                edit_width = 4;
            }
            : button {
                label = "Applica a tutte le penne";
                mnemonic = "A";
                key = "okall";
            }
        }  // End Pen Column
        : column {
            : boxed_row {
                label = "Controllo fusione di stampa";
                : radio_column {  // Merge
                    key = "mc";
                    fixed_height = true;
                    : radio_button {
                        label = "Sovrascrittura linee";
                        key = "mc0";
                        mnemonic = "v";
                    }
                    : radio_button {
                        label = "Unione linee";
                        key = "mc1";
                        mnemonic = "U";
                    }
                }  // End (Merge) column
                : column {
                    fixed_width = true;
                    //fixed_height = true;
                    :image {
                        key = "overw_im";
                        height = 1;
                        aspect_ratio = 1.4;
                    }
                    :image {
                        key = "merge_im";
                        height = 1;
                        aspect_ratio = 1.4;
                    }
                }
                spacer_1;
            } //end merge row
            : button {
                label = "Mezza tonalit...";
                key = "printop";
                mnemonic = "t";
            }
        }
    }

    : row {
        :boxed_row {
            label = "Fine linea:";
            key = "endlabel";
            mnemonic = "l";
            : image_button {
                key = "end_tile1";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "end_tile2";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "end_tile3";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "end_tile4";
                width = 5;
                aspect_ratio = 0.75;
            }
        }
        :boxed_row {
            label = "Congiunzione linee:";
            key = "joinlabel";
            mnemonic = "z";
            : image_button {
                key = "join_tile1";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile2";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile3";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile4";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile5";
                width = 5;
                aspect_ratio = 0.75;
            }
        }
    }  // End Row (Line ends/joins)

    : row { // ( Fills & Raster patterns)
        : boxed_column {  // Fills
            label = "Riempimento:";
            mnemonic = "R";
            : list_box {
                fixed_height = true;
                height = 5;
                key = "filltype";
            }
            : edit_box {
                fixed_width = true;
                edit_width = 2;
                edit_limit = 2;
                label = "Spaziatura 1..99 mm:";
                key   = "spacing";
                mnemonic = "S";
            }

            : edit_box {
                fixed_width = true;
                edit_width = 3;
                edit_limit = 3;
                label = "Angolo 0..359:";
                key   = "angle";
                mnemonic = "g";
            }

            : edit_box {  // Shade
                fixed_width = true;
                edit_width = 2;
                edit_limit = 2;
                label = "Ombra 0..99%:";
                key   = "shdpct";
                mnemonic = "O";
            }  // End Shade
        }  // End column (Fills)

        : boxed_column { // Raster patterns
            label = "Modelli raster:";
            key = "rastpat";
            mnemonic = "M";
            fixed_height = true;
            width = 33;
            : list_box {
                fixed_height = true;
                height = 8;
                key = "patlist";
            }
            : button {
                label = "Cambia...";
                mnemonic = "C";
                key = "changerast";
            }
        }  // End Column ( Raster Patterns )
    }  // End Row

    : row {
        fixed_width = true;
        alignment = centered;
        : retirement_button {
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            key = "helppen";
            width = 12;
            mnemonic = "?";
        }
    }

}  // End LINE ATTRIBUTES Dialog //

//      PENPPENATTR.DCL
//      Dialog Box for setting attributes for pens
//
penppenattr: dialog {
    label = "Penne";
    initial_focus = "accept";
    fixed_height = true;
    : row {  // Pen
        : column {
            : popup_list {
                label = "Penna (1..255):";
                mnemonic = "P";
                fixed_width = true;
                key = "slider";
                edit_width = 4;
            }
            : button {
                label = "Applica a tutte le penne";
                mnemonic = "A";
                key = "okall";
            }
        }  // End Pen Column
        : column {
            : boxed_row {
                label = "Genera area di riempimenti in:";
                : radio_column {  // SFILLS
                    key = "sfills";
                    fixed_height = true;
                    : radio_button {
                        label = "Plotter (Tempo ottimale di bloccaggio)";
                        key = "sfillspl";
                        mnemonic = "l";
                    }
                    : radio_button {
                        label = "AutoCAD (Tempo ottimale di stampa)";
                        key = "sfillsacad";
                        mnemonic = "D";
                    }
                }  // End (Merge) column
            } //end merge row
        }
    }

    : row {
        :boxed_row {
            label = "Fine linea";
            key = "endlabel";
            : image_button {
                key = "end_tile1";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "end_tile2";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "end_tile3";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "end_tile4";
                width = 5;
                aspect_ratio = 0.75;
            }
        }
        :boxed_row {
            label = "Congiunzione linea";
            key = "joinlabel";
            : image_button {
                key = "join_tile1";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile2";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile3";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile4";
                width = 5;
                aspect_ratio = 0.75;
            }
            : image_button {
                key = "join_tile5";
                width = 5;
                aspect_ratio = 0.75;
            }
        }
    }  // End Row (Line ends/joins)

    : row { // ( Fills & Raster patterns)
        key = "fillsdef";
        : boxed_column {  // Fills
            label = "Riempimento:";
            : list_box {
                fixed_height = true;
                height = 5;
                key = "filltype";
            }
            : edit_box {
                fixed_width = true;
                edit_width = 2;
                edit_limit = 2;
                label = "Spaziatura 1..99 mm:";
                key   = "spacing";
                mnemonic = "S";
            }

            : edit_box {
                fixed_width = true;
                edit_width = 3;
                edit_limit = 3;
                label = "Angolo 0..359:";
                key   = "angle";
                mnemonic = "g";
            }

            : edit_box {  // Shade
                fixed_width = true;
                edit_width = 2;
                edit_limit = 2;
                label = "Ombra 0..99%:";
                key   = "shdpct";
                mnemonic = "m";
            }  // End Shade
        }  // End column (Fills)

        : boxed_column { // Raster patterns
            key = "rastpat";
            label = "Modelli raster:";
            fixed_height = true;
            width = 33;
            : list_box {
                fixed_height = true;
                height = 8;
                key = "patlist";
            }
            : button {
                label = "Cambia...";
                mnemonic = "C";
                key = "changerast";
            }
        }  // End Column ( Raster Patterns )
    }  // End Row

    : row {
        fixed_width = true;
        alignment = centered;
        : retirement_button {
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            key = "helppen";
            width = 12;
            mnemonic = "?";
        }
    }

}  // End LINE ATTRIBUTES Dialog //

//  ANNOTATE.DCL
//  Menu for annotating plot-time variables into left side of plot
//

annotate: dialog {
    label = "Annotazioni";
    initial_focus = "accept";
    : row  { // of two columns
        : column {
            : toggle {
                label = "Nome file disegno";
                key = "dwgname";
                mnemonic = "f";
            }
            : toggle {
                label = "Data/ora stampa";
                key = "plottime";
                mnemonic = "t";
            }
        }  // End column (dwgname, plottime)
        : column {
            : toggle {
                label = "Nome driver";
                key = "dvrname";
                mnemonic = "i";
            }
            : toggle {
                label = "Segni di ritaglio";
                key = "cropmarks";
                mnemonic = "S";
            }
        }  // End column ( drvname, cropmarks )
    }  // End row of 2 columns

    : column {
        : text {
            key = "commentlabel";
            label = "Commenti (massimo 50 caratteri)";
            mnemonic = "C";
        }
        : edit_box {
            key = "comment";
            width = 51;
            edit_limit = 50;
        }
    }  // End Comment column

    : row {
        fixed_width = true;
        alignment = centered;
        : retirement_button {
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            key = "helpanno";
            mnemonic = "?";
            width = 12;
        }
    }

}  // End PLOT ANNOTATE Dialog //


//  HELP DIALOG
//  The help dialog is popped up to display a help message based
//  on which "screen" the user was interacting with when he
//  depressed the help button

help: dialog {
    label = "?/Info";
    initial_focus = "accept";
    : list_box {
        width = 55;
        height = 16;
        key = "helplist";
    }
    : retirement_button {
        label = "OK";
        key = "accept";
        is_default = true;
        is_cancel = true;
    }
}  // End HELP Dialog

//  OKALLPENS DIALOG
okallpens: dialog {
    fixed_width = true;
    alignment = centered;
    label = "!! ATTENZIONE !!";
    initial_focus = "accept";
    : text {
        label = "Applica le impostazioni a TUTTE le penne?";
        key = "askok";
    }
    : row {
        alignment = centered;
        : retirement_button {
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
    }  // End row
}  // End OKALLPENS Dialog //

GenericOrient : dialog {
    label = "Opzioni supporto";
    initial_focus = "accept";
    : boxed_row {
        label = "Cliccare l'immagine e l'orientamento voluti";
        mnemonic = "C";
        fixed_width = true;
        fixed_height = true;
        spacer_0;
        : column {
            fixed_width = true;
            fixed_height = true;
            : image_button {
                key = "image1";
                width = 14;
                aspect_ratio = 0.65;
            }
            : image_button {
                key = "image3";
                width = 14;
                aspect_ratio =0.65;
            }
            : image_button {
                key = "image5";
                width = 14;
                aspect_ratio =0.65;
            }
            : image_button {
                key = "image7";
                width = 14;
                aspect_ratio = 0.65;
            }
        }
        spacer_0;
        : column {
            fixed_width = true;
            fixed_height = true;
            : image_button {
                key = "image2";
                width = 14;
                aspect_ratio = 0.65;
            }
            : image_button {
                key = "image4";
                width = 14;
                aspect_ratio = 0.65;
            }
            : image_button {
                key = "image6";
                width = 14;
                aspect_ratio = 0.65;
            }
            : image_button {
                key = "image8";
                width = 14;
                aspect_ratio = 0.65;
            }
        }
        spacer_0;
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : retirement_button {   
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            mnemonic = "?";
            key = "helppaper";
        }
    }  // End Row;
}


BandingOrient : dialog {
    label = "Opzioni supporto";
    initial_focus = "accept";
    : boxed_row {
        label = "Cliccare l'immagine e l'orientamento voluti";
        mnemonic = "C";
        fixed_width = true;
        fixed_height = true;
        spacer_0;
        : column {
            fixed_width = true;
            fixed_height = true;
            : image_button {
                key = "image1";
                width = 14;
                aspect_ratio = 0.65;
            }
            : image_button {
                key = "image7";
                width = 14;
                aspect_ratio = 0.65;
            }
        }
        spacer_0;
        : column {
            fixed_width = true;
            fixed_height = true;
            : image_button {
                key = "image6";
                width = 14;
                aspect_ratio = 0.65;
            }
            : image_button {
                key = "image8";
                width = 14;
                aspect_ratio = 0.65;
            }
        }
        spacer_0;
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : retirement_button {   
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            mnemonic = "?";
            key = "helppaper";
        }
    }  // End Row;
}


paperadv : dialog {
    label = "Opzioni supporto avanzate";
    initial_focus = "accept";
    : boxed_row {
        label = "Selezionare livello di controllo per margini plotter";
        : boxed_radio_column {
            label = "Se 'Adatta dimensioni'  OFF";
            key = "sclmarginadj";
            : radio_button {
                label = "Visualizza avvertimenti ritaglio";
                key = "sclwarnings";
                mnemonic = "r";
            }
            : radio_button {
                label = "Non visualizzare avvertimenti";
                key = "scldisabled";
                mnemonic = "i";
            }
        }
        : boxed_radio_column {
            label = "Se 'Adatta dimensioni'  ON";
            key = "marginadj";
            : radio_button {
                label = "Non tagliare. Adatta al supporto";
                key = "adjust";
                mnemonic = "A";
            }
            : radio_button {
                label = "Visualizza avvertimenti ritaglio";
                key = "warnings";
                mnemonic = "v";
            }
            : radio_button {
                label = "Non visualizzare avvertimenti";
                key = "disabled";
                mnemonic = "N";
            }
        }
    }
    : boxed_column {
        label = "Margini del plotter";
        : radio_row {
            key = "expand";
            : radio_button {
                label = "Espandi OFF";
                key = "expoff";
                mnemonic = "d";
            }
            : radio_button {
                label = "Espandi ON";
                key = "expon";
                mnemonic = "p";
            }
        }
        : text {
            label = "Deve corrispondere all'impostazione del plotter";
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : retirement_button {   
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            mnemonic = "?";
            key = "helpadv";
        }
    }  // End Row;
    : text {
        key = "errortext";
        width = 55;
    }
}

printops : dialog {
    label = "Mezza tonalit";
    initial_focus = "accept";
    : text {
        centered = true;
        label = "(Solo per vettori)";
    }
    : row {
        : radio_column {
            key = "dither";
            : radio_button {
                label = "A dispersione";
                key = "scatter";
                mnemonic = "s";
            }
            : radio_button {
                label = "Modello";
                key = "pattern";
                mnemonic = "M";
            }
            : radio_button {
                label = "Default plotter";
                key = "default";
                mnemonic = "D";
            }
        }
        : column {
            fixed_width = true;
            fixed_height = true;
            : image {
                key = "sc_im";
                height = 1;
                aspect_ratio = 6;
            }
            : image {
                key = "pt_im";
                height = 1;
                aspect_ratio = 6;
            }
            spacer_1;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : retirement_button {   
            label = "OK";
            key = "accept";
            width = 12;
            is_default = true;
        }
        : retirement_button {
            label = "Annulla";
            key = "cancel";
            width = 12;
            is_cancel = true;
        }
        : button {
            label = "?";
            mnemonic = "?";
            key = "helpprintop";
        }
    }  // End Row;
}

aboutmsg : dialog {
    label = "Informazioni";
    width  = 64;
    : text {
        key = "DriverVersion";
        alignment = centered;
    }
    : text {
        key = "AboutHeaderKey";
        alignment = centered;
    }
    : list_box {
        fixed_height = true;
        height = 12;
        key =  "AboutKey";
    }
    : button {
        label = "OK";
        key = "accept";
        fixed_width = true;
        alignment = centered;
        width = 12;
        is_default = true;
    }
}

//  The End

// Next available MSG number is    38 
// MODULE_ID DDATTDEF_DCL_
// $Header: /sedona/develop/support/ddattdef.dcl 3     11/19/96 1:05p Few $
/* Next available MSG number is  38 */
//
//     ddattdef.dcl
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//------------------------------------------------------------------------
//  DESCRIPTION
//
//  This is the dialogue box definition file for the DDATTDEF command. This
//  is an enhancement to the ATTDEF command. It loads up a dialogue box
//  which presents to the user all the prompts and options that he/she
//  might encounter during the definition of one or several attributes.
//
//------------------------------------------------------------------------


//dcl_settings : default_dcl_settings { audit_level = 3; }


ddattdef : dialog {
    label = "Definizione attributo";
    : row {
        : boxed_column {
            label = "Modalit";
            : toggle {
                label = "Invisibile";
                mnemonic = "I";
                key = "invisible";
            }
            : toggle {
                label = "Costante";
                mnemonic = "C";
                key = "constant";
            }
            : toggle {
                label = "Verifica";
                mnemonic = "f";
                key = "verify";
            }
            : toggle {
                label = "Preassegna";
                mnemonic = "P";
                key = "preset";
            }
        }
        : boxed_column {
            label = "Attributo";
            fixed_width = true;
            width = 40;

            : edit_box {
                label = "Etichetta:";
                mnemonic = "E";
                key = "att_tag";
                edit_width = 30;
                edit_limit = 256;
            }
            : edit_box {
                label = "Richiesta:";
                mnemonic = "R";
                key = "att_prompt";
                edit_width = 30;
                edit_limit = 256;
            }
            : edit_box {
                label = "Valore:";
                mnemonic = "V";
                key = "def_val";
                edit_width = 30;
                edit_limit = 256;
            }
        }
    }
    : row {
        : boxed_column { 
            label = "Punto di inserimento";
            : button {
                label = "Seleziona punto <";
                mnemonic = "l";
                key = "pick_pt";
            }
            : edit_box {
                label = "X:";
                mnemonic = "X";
                key = "x_pt";
                edit_width = 10;
            }
            : edit_box {
                label = "Y:";
                mnemonic = "Y";
                key = "y_pt";
                edit_width = 10;
            }
            : edit_box {
                label = "Z:";
                mnemonic = "Z";
                key = "z_pt";
                edit_width = 10;
            }
        }
        : boxed_column {
            label = "Opzioni testo";
            fixed_width = true;
            width = 40;
            : column {
                : popup_list {
                    label = "Giustificato:";
                    key = "cjustif";
                    edit_width = 20;
                    mnemonic = "u";
                }
                : popup_list {
                    label = "Stile testo:";
                    key = "tstyle";
                    edit_width = 20;
                    mnemonic = "S";
                }
            }
            : row {
                : button {
                    label = "Altezza <";
                    key = "bheight";
                    mnemonic = "A";
                    width = 15;
                    fixed_width = false;
                }
                : edit_box {
                    key = "height";
                    edit_width = 20;
                    value = "0.2000";
                    fixed_width = true;
                }
            }
            : row {
                : button {
                    label = "Rotazione <";
                    key = "brot";
                    mnemonic = "o";
                    width = 15;
                    fixed_width = false;
                }
                : edit_box {
                    key = "rot";
                    edit_width = 20;
                    fixed_width = true;
                }
            }
        }
    }
    : toggle {
        label = "Allinea sotto l'attributo precedente";
        key = "align_prev";
        fixed_width = true;
        mnemonic = "b";
    }
    ok_cancel_help_errtile;
}



// Next available MSG number is    25 
// MODULE_ID DDCHPROP_DCL_
// $Header: /sedona/develop/support/ddchprop.dcl 5     1/30/97 9:21a Kieranm $
/* Next available MSG number is  23 */

//     DDCHPROP.DCL        Version 1.0
//
//     Copyright 1991, 1992, 1993, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//
//    Dialogue for the DDCHPROP command, for use with DDCHPROP.LSP
//


//dcl_settings : default_dcl_settings { audit_level = 3; }


textbox : edit_box {
    vertical_margin = tiny;
    horizontal_margin = tiny;
}

ch_prop : dialog {
    label = "Cambia propriet";
    : row {
        : column {
            fixed_width = true;
            : row {
                : button {
                    label = "Colore...";
                    mnemonic = "C";
                    key = "b_color";
                    width = 19;
                    fixed_width = true;
                }
                : image_button {
                    key = "show_image";
                    height = 1;
                    width = 3;
                }
                : text {
                    key = "t_color";
                    width = 31;
                }
            }
            : row {
                : button {
                    label = "Layer...";
                    mnemonic = "L";
                    key = "b_name";
                    width = 19;
                    fixed_width = true;
                }
                : spacer { width = 3; }
                : text {
                    key = "t_layer";
                    width = 31;
                }
            }
            : row {
                : button {
                    label = "Tipo di linea...";
                    mnemonic = "T";
                    key = "b_line";
                    width = 19;
                    fixed_width = true;
                }
                : spacer { width = 3; }
                : text {
                    key = "t_ltype";
                    width = 31;
                }
            }
        }
    }
    spacer;
    : row {
       alignment = left;
       : text_part {
           label = "Scala tipolinea:";
	       mnemonic = "S";
	       width = 16;
	       fixed_width = true;
	   }
       : edit_box {
	       key = "eb_ltscale";
           edit_width = 18;
           fixed_width = true;
           width = 35;
       }
    }
    : row {
       alignment = left;
       : text_part {
           label = "Altezza:";
           mnemonic = "A";
	       width = 16;
	       fixed_width = true;
       }
       : edit_box {
           key = "eb_thickness";
           edit_width = 18;
           fixed_width = true;
           width = 35;
       }
    }
    spacer;
    ok_cancel_help_errtile;
}

setcolor : dialog {
    label = "Colore";
    image_block;
    : list_box {
        key = "list_col";
        allow_accept = true;
    }
    : textbox {
        key = "edit_col";
        allow_accept = false;
        label = "Codice colore:";
        edit_width = 13;
     }
     ok_cancel_err;
}

setltype : dialog {
    label = "Tipo di linea";
    image_block;
    : list_box {
        height = 12;
		key = "list_lt";
        allow_accept = true;
    }
    : edit_box {
        key = "edit_lt";
        allow_accept = false;
        label = "Tipo di linea:";
        mnemonic = "T";
	    edit_width = 32;
	    edit_limit = 217;
    }
    ok_cancel_err;   
}

setlayer : dialog {
    subassembly = 0;
    label = "Layer";
    initial_focus = "listbox";
    : concatenation {
        children_fixed_width = true;
        key = "clayer";
        : text_part {
            label = "Layer corrente: ";
        }
        : text_part {
            key = "cur_layer";
            width = 35;
        }
    }
    : list_box {
        height = 12;
        key = "list_lay";
        allow_accept = true;
    }
    : row {
        key = "controls";
        : column {
            key = "lname";
            fixed_width = true;
            : edit_box {
                label = "Definisci il nome del layer:";
                mnemonic = "D";
                key = "edit_lay";
                edit_width = 32;
                edit_limit = 217;
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}


// Next available MSG number is    17 
// MODULE_ID DDGRIPS_DCL_
// $Header: /sedona/develop/support/ddgrips.dcl 3     11/19/96 1:23p Few $
/* Next available MSG number is  18 */

//----------------------------------------------------------------------------
//
//     ddgrips.dcl
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//    
//----------------------------------------------------------------------------


//dcl_settings : default_dcl_settings { audit_level = 3; }


ddgrips : dialog {
    label = "Grip";
    : boxed_column {
        label = "Seleziona impostazioni";
        : toggle {
            label = "Attiva grip";
            key = "grips";
            mnemonic = "A";
            fixed_width = true;
        }
        : toggle {
            label = "Attiva grip nei blocchi";
            key = "gripblock";
            mnemonic = "b";
            fixed_width = true;
        }
    }
    : boxed_column {
         label = "Colori grip";
         : row {
             : column {
                 : button {
                     label = "Deselezionati...";
                     key = "cool_color";
                     mnemonic = "D";
                 }
                 : button {
                     label = "Selezionati...";
                     key = "hot_color";
                     mnemonic = "S";
                 }
             }
             : column {
                 : image {
                     key = "cool_image";
                     height = 1;
                     width = 3;
                     fixed_width = true;
                     fixed_height = true;
                 }
                 : image {
                     key = "hot_image";
                     height = 1;
                     width = 3;
                     fixed_width = true;
                     fixed_height = true;
                 }
             }
             : column {
                 : text {
                     label = "Blu";
                     key = "cool_text";
                     width = 11;
                 }
                 : text {
                     label = "Rosso";
                     key = "hot_text";
                     width = 11;
                 }
             }
        }
    }
    : boxed_row {
        label = "Dimensioni grip";
        mnemonic = "g";
        spacer_0;
       : column {
            spacer_0;
            fixed_width = true;
            : text {
                label = "Min         Max";
                alignment = centered;
            }
            : slider {
                key = "grip_slider";
                min_value = 0;
                max_value = 19;
                width = 20;
                height = 1;
                small_increment = 1;
                big_increment = 1;
                fixed_width = true;
                fixed_height = true;
            }
            spacer_0;
        }
        : image {
            key = "grip_image";
            aspect_ratio = 1;
            height = 4;
            width = 7;
            color = -2;
        }
        spacer_0;
    }
    ok_cancel_help;
}



// Next available MSG number is   120
// MODULE_ID DDIM_DCL_
// $Header: /sedona/develop/support/ddim.dcl 9     11/19/96 1:28p Few $
/* Next available MSG number is 185 */
//
//     DDIM.DCL      Version 1.0
//
//     Copyright 1991, 1992, 1993, 1994, 1995, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//
//

ddimx_row :row{
    children_alignment = bottom;
}

//
// Dimension line color
//
ddimx_colord :ddimx_row{

    :button{
        label = "&Colore...";
        key = "clrdl";
    }
    :spacer{ width = 7; }
    :swatch{
        key = "clrd";
    }
    :edit_box{
        key = "clrdt";
        edit_width = 12;
    }
}

//
// Extension line color
//
ddimx_colore :ddimx_row{

    :button{
        label = "Colo&re...";
        key = "clrel";
    }
    :spacer{ width = 7; }
    :swatch{
            key = "clre";
    }
    :edit_box{
        key = "clret";
        edit_width = 12;
    }
}
//
// Dimension text color
//
ddimx_colort :ddimx_row{

    :button{
        label = "&Colore...";
        key = "clrtl";
        fixed_width = true;
        width = 10;
    }
    :spacer{ width = 7; }
    :swatch{
        key = "clrt";
    }
    :edit_box{
        key = "clrtt";
        edit_width = 12;
    }
}

ddimx_alert :dialog{
    label = "AVVISO";
    :text{
        label = "Salvare le modifiche allo stile corrente?";
        key = "dalert_sty";
        alignment = centered;
    }
    :spacer{ height = 0.5; }
    :row{
        fixed_width = true;
        alignment = centered;
        :button{
            label = "&S";
            key = "dalert_save";
            width = 8;
            fixed_width = true;
        }
        :spacer{ width = 1; }
        :button{
            label = "&No";
            key = "dalert_discard";
            width = 8;
            fixed_width = true;
        }
        :spacer{ width = 1; }
        :button{
            label = "&Annulla";
            key = "dalert_cancel";
            is_cancel = true;
            width = 8;
            fixed_width = true;
        }
    }
    :spacer{ height = 0.5; }
}

ddimx_alert_fam :dialog{
    label = "AVVISO";

  //This alert message is:
  //  
  //      Running overrides can only be set for 
  //            Parent dimension styles.
  //
    :text{
        label = " possibile solo impostare modifiche di esecuzione per";
        alignment = centered;
    }
    :text{
        label = "gli stili di quota principali.";
        alignment = centered;
    }
    :spacer{ height = 0.5; }
    ok_only;
    :spacer{ height = 0.5; }
}

// ===============================================================
//
//  Dimension Style Main Dialog -  calls Geometry, Text Location
//                                  and Annotation subdialogs
//          
// ===============================================================

ddim :dialog{
    label = "Stile di quota";
    :boxed_column{
        label = "Stile di quota";
        fixed_width = true;
        :row{
            :text_part{
                label = "&Corrente:";
                width = 9;
                fixed_width = true;
            }
            :popup_list{            // lists for current working dimstyles
                key = "style";
                list = "";
                edit_width = 31;
            }
        }
        :row{
            :text_part{
                label = "&Nome:";     //  style name
                width = 9;
                fixed_width = true;
            }
            :edit_box{                        // for user to enter/specify 
                key = "editstyle";
                edit_width = 31;
                edit_limit = 217;
            }
        }
        :row{
            fixed_width = true;
            alignment = centered; 
            :button{                      // save/create edited dimstyle         
                label = "&Salva";
                key = "save";
                width = 10;
            }
            :spacer{ width = 0.5; }
            :button{                      // rename selected dimstyle name
                label = "Rino&mina";
                key = "rename";
                width = 10;
            }
            :spacer{ width = 0.2; }
        }
    }
    :row{
        :boxed_row{

        // Since DCL doesn't support m x n matrix radio buttons,
        // we have to manually track the choice from multiple clusters
        // as if they were a sinble cluster.
        // When a button from the other cluster was selected, turn off 
        // the current button by sweeping the cluster first, then let
        // the chosen button on. This operation is done in apps.

            label = "Gruppo";
            :radio_column{
                key = "family1";
                        :radio_button{
                            label = "&Principale";
                            key = "parent";
                        }
                        :radio_button{
                            label = "&Lineare";
                            key = "linear";
                        }
                        :radio_button{
                            label = "&Radiale";
                            key = "radius";
                        }
                        :radio_button{
                            label = "&Angolare";
                            key = "angle";
                        }
            }
            :radio_column{
                key = "family2";
                // Somehow in this layout of clusters, they are
                // slightly off balanced. In other words, the buttons
                // in each clusters are not displayed horizontally. 
                // To correct the bias, we used a spacer of 1.5.

                        : spacer { height = 1.5; }
                        :radio_button{
                            label = "D&iametro";
                            key = "diameter";
                        }
                        :radio_button{
                            label = "&Ordinata";
                            key = "ordinate";
                        }
                        :radio_button{
                            label = "&Direttrice";
                            key = "leader";
                        }
            }
        }
        :column{
            alignment = top;
            :spacer{ height = 0.7; }
            :button{                  // calls subdialog
                label = "G&eometria...";  
                key = "geometry";
            }
            :button{                  // calls subdialog
                label = "&Formato...";
                key = "txtloc";
            }
            :button{                  // calls subdialog
                label = "Anno&tazione...";
                key = "annotation";
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

//
//  Dimension Geometry Subdialog
//

ddimx_geometry :dialog{
    label = "Geometria";
    :row{
        fixed_height = true;
        :column{
            :boxed_column{
            //
            // This is boxed column for Dimension Line.
            //
                label = "Linea di quota";
                key = "g_diml";
                :row{
                    :text{
                        label = "Sopprimi: ";
                    }
                    :column{
                        :spacer{ height = 0.2; }
                        :toggle{
                            label = "&Prima";
                            key = "sd1";
                        }
                    }
                    :column{
                        :spacer{ height = 0.2; } 
                        :toggle{
                            label = "&Seconda";
                            key = "sd2";
                        }
                    }
                }
                :edit12_box{
                    label = "&Estensione: ";
                    key = "dle";
                }
                :edit12_box{
                    label = "In&tervallo: ";
                    key = "dli";
                }
                ddimx_colord;
            }
            :boxed_column{
            //
            // This is boxed column for Extension Line.
            //
                label = "Linea di estensione";
                key = "extline";
                :row{
                    key = "g_extl";
                    :text{
                        label = "Sopprimi: ";
                    }
                    :column{
                        :spacer{ height = 0.3; }
                        :toggle{
                            label = "&1";
                            key = "se1";
                        }
                    }
                    :column{
                        :spacer{ height = 0.3; }
                        :toggle{
                            label = "&2";
                            key = "se2";
                        }
                    }
                }
                :edit12_box{
                    label = "Estensi&one: ";
                    key = "exe";
                }
                :edit12_box{
                    label = "O&ffset origine: ";
                    key = "exo";
                }
                ddimx_colore;
            }
        }
        :column{
            :boxed_column{
       
            // This is boxed column for Arrwos.
            // In this popup lists, 'User Arrow' will let you open another
            // subdialog called 'ddimx_userarr'. 

                label = "Punte della freccia";
                key = "g_arrs";
                :row{
                    fixed_width = true;
                    alignment = right;
                    :image_button{
                        color                   = 0;
                        width                   = 8.7;
                        aspect_ratio            = 0.36;
                        fixed_height            = true;
                        fixed_width             = true;
                        alignment = right;
                        key = "arr_icon1";
                    }
                    :image_button{
                        color                   = 0;
                        width                   = 8.7;
                        aspect_ratio            = 0.36;
                        fixed_height            = true;
                        fixed_width             = true;
                        alignment = right;
                        key = "arr_icon2";
                    }
                }
                :popup_list{
                    label = "Prim&a: ";
                    key = "blk1";
                    list = "Nessuna \nChiusa \nPunto \nChiusa piena \nChiusa vuota \nObliqua \nSegno architettonico\nAperta \nIndicazione origine \nAngolo destro\nAperta 30 \nPunto vuoto \nPunto piccolo  \nQuadrato pieno \nQuadrato \nTriangolo pieno \nTriangolo \nIntegrale \nFreccia utente...";
                    edit_width = 20;
                }
                :popup_list{
                    label = "Secon&da:";
                    key = "blk2";
                    list = "Nessuna \nChiusa \nPunto \nChiusa piena \nChiusa vuota \nObliqua \nSegno architettonico\nAperta \nIndicazione origine \nAngolo destro\nAperta 30 \nPunto vuoto \nPunto piccolo \nQuadrato pieno \nQuadrato \nTriangolo pieno \nTriangolo \nIntegrale \nFreccia utente...";
                    edit_width = 20;
                }
                :edit12_box{
                    label = "D&imensioni: ";
                    key = "asz";
                }
            }
            :boxed_column{
                key = "cenmarks";

            // This is boxed column for center marks. 
            // Choosing a button, its image will be shown in the image box.

                label = "Centro";
                :row{
                    :radio_column{
                        key = "cen_mark";
                        :radio_button{
                            label = "Contrasse&gno";
                            key = "cen_mk";
                        }
                        :radio_button{
                            label = "&Linea";
                            key = "cen_ln";
                        }
                        :radio_button{
                            label = "Ness&uno";
                            key = "cen_no";
                        }
                    }
                    :image_button{
                        color                   = 0;
                        width                   = 11;
                        aspect_ratio            = 0.8;
                        fixed_height            = true;
                        fixed_width             = true;
                        alignment = centered;
                        key = "cen_icon"; 
                    }
                }
                :spacer { height = 0.1; }
                :edit12_box{
                    label = "Di&mensioni: ";
                    key = "cen";
                }
            }
        }
    }
    :boxed_column{
        label = "Scala";
        :row{
            :column{
                :edit12_box{
                    fixed_width = true;
                    label = "Scala ge&nerale: ";
                    key = "gdscl";
                }
                :spacer{ height = 0.1; }
            }
            :toggle{
                label = "Scala allo spa&zio carta";
                key = "pspace";
            }
        }
    }
    ok_cancel_help_errtile_too;
}

//
//  Dimension Text Location Subdialog
//

ddimx_txtloc :dialog{
    label = "Formato";
    fixed_height = true;
    :row{
        :column{
            :column{
                :spacer{ height = 0.3; }
                :toggle{
                    label = "Definito dall'&utente";
                    key = "jus";
                }
                :toggle{
                    label = "Forza &linea all'interno";
                    key = "tofl";
                }
                :text {
                        label = "&Adatta: ";

                }
                :popup_list{
                    key = "jfit";
                    list = "Testo e frecce\nSolo testo\nSolo frecce\nAdatta\nDirettrice\nNessuna direttrice";
                }
                :spacer{ height = 0.5; }
            }
            :boxed_column{
            //
            // This is boxed column for Justification.
            //
                label = "Giustificazione orizzontale";
                fixed_height = true;
                height = 6.5;
                :spacer{ height = 0.2; }
                :image_button{
                    color                   = 0;
                    width                   = 11;
                    aspect_ratio            = 0.8;
                    fixed_height            = true;
                    fixed_width             = true;
                    alignment = centered;
                    key = "horjust_icon"; 
                }
                :spacer{ height = 0.2; }
                :popup_list{
                    key = "horjust";
                    /*list now in DDIM_C_25..29, was DDIM_DCL_59*/
                }
                :spacer{ height = 0.2; }
            }
        }
        :column{
            :boxed_column{
                label = "Testo";
                fixed_height = true;
                :image_button{
                    color                   = 0;
                    width                   = 11;
                    aspect_ratio            = 0.8;
                    fixed_height            = true;
                    fixed_width             = true;
                    alignment = centered;
                    key = "tioh_icon"; 
                }
                :row{
                    fixed_width = true;
                    :spacer{ width = 0.5; }
                    :column{
                        fixed_height = true;
                        :spacer{ height = 0.2; }
                        :toggle{
                            label = "&Dentro orizzontale";
                            key = "tih";
                        }
                        :toggle{
                            label = "&Fuori orizzontale";
                            key = "toh";
                        }
                    }
                }
            }
            :boxed_column{

            // This is Vertical Justification. 
            // Choose one, then highlight the related image box. 
            // Conversely you can choose a image box, then highlight 
            // the pull down list item.

                label = "Giustificazione verticale";
                fixed_height = true;
                height = 6.5;
                :spacer{ height = 0.2; }
                :image_button{
                    color                   = 0;
                    width                   = 11;
                    aspect_ratio            = 0.8;
                    fixed_height            = true;
                    fixed_width             = true;
                    alignment = centered;
                    key = "tad_icon"; 
                }
                :spacer{ height = 0.2; }
                :popup_list{
                    key = "tad";
                    list = "Centrata\nSopra\nFuori\nJIS";
                }
                :spacer{ height = 0.2; }
            }
        }
    }
    :spacer{ height = 0.2; }
    ok_cancel_help_errtile;
}

//
//  Dimension Annotation Subdialog
//

ddimx_annotation :dialog{
    label = "Annotazione";
    fixed_width = true;
    :row{
        :column{
            :boxed_column{
        
        // This is boxed column for Dimension units.
        // The 'Units' button opens another subdialog called 'ddimx_units'.
        // This part is for the primary units.

                label = "Unit primarie";
                :row{
                    :button{
                        fixed_width = true;
                        label = "&Unit...";
                        key = "annot_unitsp";
                    }
                }
                :edit_box{
                    label = "&Prefisso: ";
                    key = "post_1";
                    edit_width = 12;
                    edit_limit = 91;
                }
                :edit_box{
                    label = "&Suffisso: ";
                    key = "post_2";
                    edit_width = 12;
                    edit_limit = 105;
                }
                :icon_image{
                    color                   = 0;
              //      width                   = 14;
                    height = 2;
                    aspect_ratio            = 0.45;
                    fixed_height            = true;
                    fixed_width             = true;
                    alignment = right;
                    key = "post_icon1"; 
                    allow_accept = false;
                }
            }
            :boxed_column{
            //
            // This is boxed portion for Tolerance.
            //
                label = "Tolleranza";
                :popup_list{
                    label = "&Metodo: ";
                    key = "toltypes";
                    list = "Nessuno\nSimmetrico\nDeviazione\nLimiti\nDi base";
                    edit_width = 16;
                }
                :edit12_box{
                    label = "&Valore superiore: ";
                    key = "tp";
                }
                :edit12_box{
                    label = "Valore &inferiore: ";
                    key = "tm";
                }
                :popup_list{
                    label = "Gius&tificazione: ";
                    key = "tolj";
                    list = "Alto\nMezzo\nBasso";
                    edit_width = 10;
                }
                :edit12_box{
                    label = "A&ltezza: ";
                    key = "tfac";
                }
            }
            :spacer{ height = 0.1; }
        }
        :column{
            :boxed_column{

            // This is boxed column for alternate dimunits.
            // The 'Units' button opens another subdialog 'ddimx_units',
            // but this one is for Alternate Units and the values in
            // ddimx_units subdialog are of the alternate units. It is
            // different from the stuff for the primary units.

                label = "Unit alternative";
                key = "alts";
                :row{
                    :toggle{
                        label = "&Abilita unit";
                        key = "alt";
                    }
                    :button{
                        fixed_width = true;
                        label = "U&nit...";
                        key = "annot_unitsa";
                    }
                }
                :column{
                    key = "apost";
                    :edit_box{
                        label = "P&refisso: ";
                        key = "apost_1";
                        edit_width = 12;
                        edit_limit = 91;
                    }
                    :edit_box{
                        label = "Su&ffisso: ";
                        key = "apost_2";
                        edit_width = 12;
                        edit_limit = 105;
                    }
                    :icon_image{
                        color                   = 0;
                //        width                   = 14;
                        height = 2;
                        aspect_ratio            = 0.45;
                        fixed_height            = true;
                        fixed_width             = true;
                        alignment = right;
                        key = "post_icon2"; 
                        allow_accept = false;  
                  }
                }
            }
            :boxed_column{
                label = "Testo";
                :popup_list{
                    label = "Stil&e: ";
                    key = "txsty";
                    edit_witdh = 31;
                    list = "";
                }
                :edit12_box{
                    label = "Altez&za: ";
                    key = "txt";
                }
                :edit12_box{
                    label = "Intervall&o: ";
                    key = "gap";
                }

                ddimx_colort;
            }
            :edit12_box{
                label = "Arroton&damento:";
                key = "rnd";
            }
            :spacer{ height = 0.2; }
        }
    }
    ok_cancel_help_errtile_too;
}

//
//  Dimension Units Subdialog - This is called by Annotation dialog.
//                              There are two calling cases, one for 
//                              the primary units and another is for
//                              the alternate units.
//

ddimx_unitsp :dialog{
    label = "Unit primarie";
    fixed_width = true;

    units_list;
    units_ufac;

    ok_cancel_help_errtile_too;
}


ddimx_unitsa :dialog{
    label = "Unit alternative";
    fixed_width = true; 

    units_list;
    units_ufac;

    ok_cancel_help_errtile_too;
}

units_ufac :column{
    :boxed_row{
        label = "Scala";
        :column{
            :edit12_box{
                label = "Linea&re: ";
                key = "ufac";
            }
            :spacer{ height = 0.2; }
        }
        :spacer { width = 5; }
        :toggle{
            label = "Solo spazio &carta";
            key = "psufac";
        }
    }
}

units_list :column{
    //
    // Horizontal cluster that contains the Units and Angles clusters.
    //
        //
        // Units cluster.
        //
    :row{
        : boxed_column {
            width = 24;
            label = "&Unit";
            //
            // Radio cluster for the units format selection.
            //
            : popup_list {
                key = "u_list";
                list = "Scientifiche\nDecimali\nIngegneristiche\nArchitettoniche (sovrapposte)\nFrazionarie (sovrapposte)\nArchitettoniche\nFrazionarie\nDesktop di Windows";
            }
            :spacer{ height = 0.2; }
        }
        //
        // Angle Formats Control.
        //
        : boxed_column {
            width = 24;
            label = "Ango&li";
            //
            // Radio cluster for the angle format selection.
            //
            : popup_list {
                key = "u_alist";
                list = "Gradi decimali \nGradi/min/sec \nGradi centesimali \nRadianti \nUnit topografiche";
            }
            :spacer{ height = 0.2; }
        }
    }
    :row{
        :boxed_column{
            label = "Quota";
            //
            // Linear Units Precision popup_list (System variable LUPREC).
            //
            : text {
                label = "&Precisione:";
            }
            : popup_list {
                key = "u_dimdec";
            }
            :boxed_row{
                label = "Soppressione zero";
                key = "zsuppress";
                :column{
                    :toggle{
                        label = "Inizial&e";
                        key = "z3";
                    }
                    :toggle{
                        label = "&Finale";
                        key = "z4";
                    }
                }
                :column{
                    key = "feetinch";
                    :toggle{
                        label = "&0 piedi";
                        key = "z1";
                    }
                    :toggle{
                        label = "0 p&ollici";
                        key = "z2";
                    }
                }
            }
        }
        :boxed_column{
            label = "Tolleranza";
            //
            // Angle Precision popup_list (system variable AUPREC).
            //
            spacer_0;
            : text {
                label = "Preci&sione:";
            }    
            : popup_list {
                key = "u_toldec";
            }

            :boxed_row{
                label = "Soppressione zero";
                key = "tzsuppress";
                :column{
                    :toggle{
                        label = "I&niziale";
                        key = "tz3";
                    }
                    :toggle{
                        label = "Fin&ale";
                        key = "tz4";
                    }
                }
                :column{
                    key = "tfeetinch";
                    :toggle{
                        label = "0 pie&di";
                        key = "tz1";
                    }
                    :toggle{
                        label = "0 poll&ici";
                        key = "tz2";
                    }
                }
            }
        }
    }
}


//
//  User Arrow subdialog - This is called by Geometry when the user 
//                         selects 'User Arrow' tile.
//                         This dialog allows for the user to set user
//                         arrow head block names.
//

ddimx_userarr :dialog{
    label = "Freccia utente";
    fixed_width = true;
    :spacer{ height = 0.3; }
    :edit_box{
        label = "&Nome freccia: ";
        key = "userarr1";
        fixed_width = true;
        allow_accept = true;
        alignment = centered;
        edit_width = 12;
        edit_limit = 217;
    }
    :spacer{ height = 0.5; }
    ok_cancel_help_errtile;
}

//==========================================================
//    'rq_chroma:dialog{}' must be present here because DDIM.DCL
//    can not share the same dcl function defined in ACAD.DCL since
//    DDIM has been separated from ACAD.DCL.
//    

// The standard color selection dialogue comes to ADS
// The meat of the dialogue is defined in base.dcl and used here and in
//    acad.dcl.

rq_chroma :dialog {
    label = "Colore";
    key = "chroma";                   // used by Help button to obtain label
    initial_focus = "color_edit";
    std_rq_color;
}

ok_cancel_help_errtile_too : column {
    :row {
        errtile;
        ok_cancel_help;
    }
}

// ==== End of the DDIMX dialogs portion ====


// Next available MSG number is    39 
// MODULE_ID DDINSERT_DCL_
// $Header: /sedona/develop/support/ddinsert.dcl 4     1/28/97 10:53 Eilberf $
/* Next available MSG number is  41 */

//----------------------------------------------------------------------------
//
//     ddinsert.dcl
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//----------------------------------------------------------------------------
//
// Corresponding dialogues for DDINSERT.LSP which is an AutoLISP implementation
// of the AutoCAD Insert command with a dialogue interface.
//
//----------------------------------------------------------------------------


//dcl_settings : default_dcl_settings { audit_level = 3; }


ddinsert : dialog {
    label = "Inserisci";
    : boxed_column {
	label = "Blocco";
	: row {
	    : button {
		label = "Blocco... ";
		key = "int_blocks";
		mnemonic = "B";
		width = 10;
		fixed_width = true;
	    }
	    : edit_box {
		label = "";
		key = "current_name";
		width = 36;
		edit_limit = 217;
	    }
	}
	: row {
	    : button {
		label = "   File...   ";
		key = "ext_blocks";
		mnemonic = "F";
		width = 11.7;
		fixed_width = true;
	    }
	    : edit_box {
		key = "path_name";
		width = 36;
	    }
	}
    }
    : boxed_column {
	label = "Opzioni";
	: row {
	    : toggle {
		label = "Specifica parametri sullo schermo";
		key = "on_screen";
		mnemonic = "S";
		fixed_width = true;
	    }
	}
	: row {
	    : boxed_column {
		label = "Punto d'inserimento";
		: edit_box {
		    label = "X:";
		    mnemonic = "X";
		    key = "x_pt";
		    edit_width = 10;
		}
		: edit_box {
		    label = "Y:";
		    mnemonic = "Y";
		    key = "y_pt";
		    edit_width = 10;
		}
		: edit_box {
		    label = "Z:";
		    mnemonic = "Z";
		    key = "z_pt";
		    edit_width = 10;
		}
	    }
	    : boxed_column {
		label = "Scala";
		: edit_box {
		    label = "X:";
		    mnemonic = "X";
		    key = "x_scale";
		    edit_width = 10;
		}
		: edit_box {
		    label = "Y:";
		    mnemonic = "Y";
		    key = "y_scale";
		    edit_width = 10;
		}
		: edit_box {
		    label = "Z:";
		    mnemonic = "Z";
		    key = "z_scale";
		    edit_width = 10;
		}
	    }
	    : column {
		: boxed_column {
		    label = "Rotazione";
		    fixed_height = true;
		    : edit_box {
			label = "Angolo:";
			key = "rotation";
			mnemonic = "A";
			edit_width = 6;
		    }
		}
	    }
	}
    }
    : toggle {
	label = "Esplodi";
	key = "explode";
	mnemonic = "E";
	fixed_width = true;
    }
    ok_cancel_help_errtile;
}


list_blocks : dialog {
    label = "Blocchi definiti";
    : edit_box {
	label = "Modello:";
	key = "pattern";
	mnemonic = "M";
	allow_accept=true;
	is_default=true;
    }
    : list_box {
	key = "bl_match";
	width = 32;
	allow_accept = true;
    }
    : edit_box {
	label = "Selezione:";
	key = "selection";
	mnemonic = "S";
	allow_accept=true;
	edit_limit = 217;
    }
    spacer;
    ok_cancel_err;
}

blk_exists : dialog {
    label = "Avvertimento";
    : paragraph {
	: text_part {
	    label = "Un blocco con questo nome esiste gi nel disegno.";
	}
	: text_part {
	    label = "Si desidera ridefinirlo?";
	}
    }
    spacer_1;
    : row {
	fixed_width = true;
	alignment = centered;
	: button {
	    label = "OK";
	    key = "redefine";
	    width = 8;
	}
	: spacer {
	    width = 2;
	}
	: default_button {
	    label = "Annulla";
	    key = "no";
	    width = 8;
	}
    }
}


// Next available MSG number is     8 
// MODULE_ID DDPTYPE_DCL_
// $Header: /sedona/develop/support/ddptype.dcl 3     11/19/96 1:41p Few $
/* Next available MSG number is  17 */

//----------------------------------------------------------------------------
//
//     ddptype.dcl
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//----------------------------------------------------------------------------
//
//  Ddptype.dcl - Point size and type selection dialogue.
//
//----------------------------------------------------------------------------

//  DDPTYPE dialogue.  Used by the DDPTYPE command in ddptype.lsp.
//  Called from the AutoCAD Release 12 Standard Menu.

//dcl_settings : default_dcl_settings { audit_level = 3; }

ddptype: dialog {
  label        = "Stile punto";
  : column {
    : row {
      : image_button {
        key          = "pdmode0";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode1";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode2";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode3";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode4";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
    : row {
      : image_button {
        key          = "pdmode32";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode33";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode34";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode35";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode36";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
    : row {
      : image_button {
        key          = "pdmode64";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode65";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode66";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode67";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode68";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
    : row {
      : image_button {
        key          = "pdmode96";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode97";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode98";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode99";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
      : image_button {
        key          = "pdmode100";
        width        = 5;
        aspect_ratio = 1.0;
        color        = 0;
        allow_accept = true;
      }
    }
  }
  : column {
    fixed_height = true;
    spacer_1;
    : row {
      : edit_box {
        mnemonic             = "p";
        label                = "Dimensioni punto:";
        key                  = "pdsize_value";
        edit_width           = 10;
        horizontal_alignment = left;
        allow_accept         = true;
      }
      : text {
        label = "";
        key   = "pdsize_label";
        width = 12;
      }
    }
    : radio_column {
      fixed_height = true;
      : radio_button {
        label       = "Dimensioni relative allo schermo";
        mnemonic    = "r";
        key         = "pdsize_r";
        is_tab_stop = false;
      }
      : radio_button {
        label       = "Dimensioni in unit assolute";
        mnemonic    = "a";
        key         = "pdsize_a";
        is_tab_stop = false;
      }
    }
  }
  spacer_1;
  ok_cancel_help_errtile;
}

// Next available MSG number is     6 
// MODULE_ID DDRENAME_DCL_
/* $Header: /sedona/develop/support/ddrename.dcl 4     11/19/96 1:47p Few $ */
/* Next available MSG number is   9 */

//----------------------------------------------------------------------------
//
//   DDRENAME.DCL   Version 1.0
//
//     Copyright 1991, 1992, 1993, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.  
//----------------------------------------------------------------------------
// 
// Corresponding dialogue for DDRENAME.LSP which is an AutoLISP implementation
// of the AutoCAD Rename command with wildcard support and a dialogue
// interface.
// 
//----------------------------------------------------------------------------

//dcl_settings : default_dcl_settings { audit_level = 3; }


ddrename : dialog {
    label = "Rinomina";
    : row {
        : column {
            : list_box {
                label = "Oggetti";
                key = "tables";
                width = 17;
                height = 8;
            }
        }
        : column {
            : list_box {
                label = "&Elementi";
                key = "table_items";
				alignment = right;
				fixed_width = true;
                width = 35;
                height = 8;
                multiple_select = true;
            }
        }
    }
    : column {
        : row {
			: text {
		        label = "Nome &attuale:";
			}
	        : edit_box { 
			    key = "old";
				alignment = right;
				fixed_width = true;
				edit_width = 33;
				edit_limit = 217;
			}
		}
        : row {
            : button {
                label = "&Rinomina in:";
                key = "rename";
            }
            : edit_box { 
                label = "";
                key = "new";
				alignment = right;
				fixed_width = true;
                edit_width = 33;
				edit_limit = 217;
            }
        }
    }
    spacer_1;
    ok_cancel_help_errtile;
}

// Next available MSG number is     6 
// MODULE_ID DDUCSP_DCL_
// $Header: /sedona/develop/support/dducsp.dcl 3     11/19/96 1:57p Few $
/* Next available MSG number is  10 */

//----------------------------------------------------------------------------
//
//     dducsp.dcl
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//----------------------------------------------------------------------------
//
//  Dducsp.dcl - Ucs presets selection dialogue.
//
//----------------------------------------------------------------------------

//dcl_settings : default_dcl_settings { audit_level = 3; }

dducsp : dialog {
  aspect_ratio = 0;
  label = "Orientamento UCS";
  initial_focus = "ucsp_front";
  : row {
    : column {
      : image_button {
        key = "ucsp_world";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_left";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_cview";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
    : column {
      : image_button {
        key = "ucsp_top";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_front";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_bottom";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
    : column {
      : image_button {
        key = "ucsp_back";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_right";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_prev";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
  }
  : row {
    : radio_column {
      : radio_button {
        label = "Relativo all'UCS corrente";
        mnemonic = "R";
        key = "ucsp_r_ucs";
      }
      : radio_button {
        label = "Assoluto nel WCS";
        mnemonic = "A";
        key = "ucsp_a_wcs";
      }
    }
  }
  ok_cancel_help_errtile;
}

// Next available MSG number is    51 
// MODULE_ID DDUNITS_DCL_
// $Header: /sedona/develop/support/ddunits.dcl 4     2/07/97 12:26 Eilberf $
/* Next available MSG number is  60 */

//-------------------------------------------------------------------------
//
//     ddunits.dcl
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//    
//-------------------------------------------------------------------------
// DESCRIPTION:
// Dialogue definition file for DDUNITS.LSP - Units command. 
//-------------------------------------------------------------------------

//dcl_settings : default_dcl_settings { audit_level = 3; }

ddunits : dialog {
    label = "Unit";
    //
    // Horizontal cluster that contains the Units and Angles clusters.
    //
    : row {
        //
        // Units cluster.
        //
        : boxed_column {
            label = "Unit";
            //
            // Radio cluster for the units format selection.
            //
            : radio_column {
                : radio_button {
                    key = "scientific";
                    label = "Scientifiche";
                    mnemonic = "S";
                }
                : radio_button {
                    key = "decimal";
                    label = "Decimali";
                    mnemonic = "D";
                }
                : radio_button {
                    key = "engineering";
                    label = "Ingegneristiche";
                    mnemonic = "I";
                }
                : radio_button {
                    key = "architectural";
                    label = "Architettoniche";
                    mnemonic = "A";
                }
                : radio_button {
                    key = "fractional";
                    label = "Frazionarie";
                    mnemonic = "F";
                }
            }
            //
            // Linear Units Precision popup_list (System variable LUPREC).
            //
            spacer;
            : text {
                label = "Precisione:";
                mnemonic = "P";
            }
            : popup_list {
                key = "luprec";
                edit_width = 14;
            }
        }
        //
        // Angle Formats Control.
        //
        : boxed_column {
            label = "Formato angoli";
            //
            // Radio cluster for the angle format selection.
            //
            : radio_column {
                : radio_button {
                  key = "decimal_deg";
                  label = "Gradi decimali";
                  mnemonic = "c";
                }
                : radio_button {
                    key = "dms";
                    label = "Gradi/min/sec";
                    mnemonic = "m";
                }
                : radio_button {
                    key = "grads";
                    label = "Gradi centesimali";
                    mnemonic = "e";
                }
                : radio_button {
                    key = "radians";
                    label = "Radianti";
                    mnemonic = "R";
                }
                : radio_button {
                    key = "surveyor_deg";
                    label = "Unit topografiche";
                    mnemonic = "U";
                }
            }
            //
            // Angle Precision popup_list (system variable AUPREC).
            //
            spacer_0;
            : text {
                label = "Precisione:";
                mnemonic = "n";
            }    
            : popup_list {
                key = "auprec";
                edit_width = 17;
            }
        }
    }
    //
    // Row of buttons at bottom: OK Cancel Direction... Help...
    //
    : row {
        ok_button;
        cancel_button;
        : button {
             label = "Direzione...";
             key = "dir";
             mnemonic = "z";
             fixed_width = true;
        }
        help_button;
    }
}
//
// Direction child dialog.
//
direction : dialog {
    label = "Direzione";
    : boxed_column {
        label = "Direzione angolo 0";
        fixed_width = true;
        width =22;
        //
        // Direction sub-cluster to group the radio cluster and the
        // pick button/edit box cluster.
        //
        :row {
            //
            // Radio cluster for the direction selection.
            //
            : radio_column {
                : radio_button {
                    key = "east";
                    label = "Est";
                    mnemonic = "E";
                }
                : radio_button {
                    key = "north";
                    label = "Nord";
                    mnemonic = "N";
                }
                : radio_button {
                    key = "west";
                    label = "Ovest";
                    mnemonic = "O";
                }
                : radio_button {
                    key = "south";
                    label = "Sud";
                    mnemonic = "S";
                }
                : radio_button {
                    key = "other";
                    label = "Altra";
                    mnemonic = "A";
                }
            }
            //
            // Angle direction format labels appears to the right
            // of the radio cluster, a "pick" button next to "other"
            //
            : column {
			children_alignment=right;
                : text {
                    key = "zero";
                    label = "";
                    width = 9;
                }
                : text {
                    key = "ninety";
                    label = "";
                }
                : text {
                    key = "one_eighty";
                    label = "";
                }
                : text {
                    key = "two_seventy";
                    label = "";
                }
                : text {
                    key = "typed";
                    label = "Selez./Digitare";
                }
            }
        }
        //
        // Manual angle selection and direction selection.
        //
        //
        // Angle edit box.
        //
        : edit_box {
            key = "angle_edit";
            edit_width = 14;
            label = "Angolo:";
            mnemonic = "g";
        }
        : button{
            label = "Selezionare <";
            key = "angle_pick";
            fixed_width = true;
            width = 8;
            alignment = left;
            mnemonic = "l";
        }
    }
    //
    // Angle direction radio cluster.
    //
    : radio_column {
        : radio_button {
            key = "angle_dir_ccw";
            label = "Senso antiorario";
            mnemonic = "t";
        }
        : radio_button {
            key = "angle_dir_cw";
            label = "Senso orario";
            mnemonic = "r";
        }
    }
    ok_cancel;
    : errtile {
        width = 22;
    }
}
// End Direction child dialog.

// Next available MSG number is    54 
// MODULE_ID DDVIEW_DCL_
// $Header: /sedona/develop/support/ddview.dcl 4     11/19/96 2:07p Few $
/* Next available MSG number is  61 */

//----------------------------------------------------------------------------
//
//     ddview.dcl
//
//     Copyright 1992, 1994, 1996 by Autodesk, Inc.
//
//     Permission to use, copy, modify, and distribute this software
//     for any purpose and without fee is hereby granted, provided
//     that the above copyright notice appears in all copies and
//     that both that copyright notice and the limited warranty and
//     restricted rights notice below appear in all supporting
//     documentation.
//
//     AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//     AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//     MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//     DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//     UNINTERRUPTED OR ERROR FREE.
//
//     Use, duplication, or disclosure by the U.S. Government is subject to
//     restrictions set forth in FAR 52.227-19 (Commercial Computer
//     Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//     (Rights in Technical Data and Computer Software), as applicable.
//
//.
//----------------------------------------------------------------------------
//
//  Dialogue interface to VIEW command.  Used with DDVIEW.LSP
//
//----------------------------------------------------------------------------

//dcl_settings : default_dcl_settings { audit_level = 3; }

view : dialog {
    label = "Viste con nome";
    initial_focus = "edit_view";
    : list_box {
        label = "Viste";
        mnemonic = "V";
        width = 42;
        tabs = "34";
        key = "list_view";
        tab_truncate = true;
    }
    : concatenation {
        : text_part {
            label = "Ripristina vista: ";
        }
        : text_part {
            key = "res_text";
            width = 32;
        }
    }
    : row {
        : button {
            label = "Ripristina";
            mnemonic = "R";
            key = "restore";
        }
        : button {
            label = "Nuova...";
            mnemonic = "N";
            key = "new_view";
        }
        : button {
            label = "Cancella";
            mnemonic = "C";
            key = "delete";
        }
        : button {
            label = "Descrizione...";
            mnemonic = "D";
            key = "describe";
        }
    }
    spacer_0;
    ok_cancel_help;
}

new_view : dialog {
    label = "Nuova";
    : edit_box {
        key = "new_view_name";
        allow_accept = false;
        label = "Nuovo nome:";
        mnemonic = "N";
        edit_width = 26;
        edit_limit = 2048;
    }
    : radio_column {
        : radio_button {
            label = "Visualizzazione corrente";
            mnemonic = "V";
            key = "r_current";
        }
        : radio_button {
            label = "Definisci finestra";
            mnemonic = "D";
            key = "r_window";
        }
    }
    : button {
        label = "Finestra <";
        mnemonic = "F";
        width = 10;
        key = "window";
        horizontal_alignment = left;
        fixed_width = true;
    }
    : row {
        : boxed_column {
            label = "Primo angolo";
            key = "fc";
            : concatenation {
                : text_part {
                    label = "X: ";
                    key = "x1_label";
                }
                : text_part {
                    key = "x1_text";
                    width = 10;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y: ";
                    key = "y1_label";
                }
                : text_part {
                    key = "y1_text";
                    width = 10;
                }
            }
        }
        : boxed_column {
            label = "Secondo angolo";
            key = "oc";
            : concatenation {
                : text_part {
                    label = "X: ";
                    key = "x2_label";
                }
                : text_part {
                    key = "x2_text";
                    width = 10;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y: ";
                    key = "y2_label";
                }
                : text_part {
                    key = "y2_text";
                    width = 10;
                }
            }
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "Salva vista";
            mnemonic = "S";
            key = "save_view";
            fixed_width = true;
        }
        : spacer { width = 2; }
        cancel_button;
    }
    errtile;
}


valert : dialog {
    label = "Avviso";
    : paragraph {
        : text_part {
            label = "Il disegno ha gi una vista con questo";
        }
        : text_part {
            label = "nome. Si desidera ridefinirla?";
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label           = "Ridefinisci";
            key             = "accept";
            mnemonic        = "R";
            is_default      = true;
            width           = 8;
        }
        : spacer {
            width = 2;
        }
        : button {
            label           = "Annulla";
            key             = "cancel";
            mnemonic        = "A";
            is_cancel       = true;
            width           = 6;
        }
    }
}

vinquiry : dialog {
    label = "Descrizione";
    : concatenation {
        : text {
            label = "Nome vista:";
        }
        : text {
            key = "v_name";
            width = 31;
        }
    }
    spacer_1;
    : row {
        : row {
            : column {
                spacer_1;
                : text {
                    label = "Larghezza:";
                }
                : text {
                    label = "Altezza:";
                }
                : text {
                    label = "Rotazione:";
                }
            }
            : column {
                spacer_1;
                : text {
                    key = "v_width";
                    width = 10;
                }
                : text {
                    key = "v_height";
                    width = 10;
                }
                : text {
                    key = "v_twist";
                    width = 10;
                }
            }
        }
        spacer_1;
        : column {
            : text {
                key = "cen_tar";
                width = 15;
            } 
            : concatenation {
                : text_part {
                    label = "X: ";
                }
                : text_part {
                    key = "vtar_x";
                    width = 10;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y: ";
                }
                : text_part {
                    key = "vtar_y";
                    width = 10;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z: ";
                }
                : text_part {
                    key = "vtar_z";
                    width = 10;
                }
            }
        }
        : column {
            : text {
                key = "direction";
                width = 15;
            } 
            : concatenation {
                : text_part {
                    label = "X: ";
                }
                : text_part {
                    key = "vdir_x";
                    width = 10;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y: ";
                }
                : text_part {
                    key = "vdir_y";
                    width = 10;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z: ";
                }
                : text_part {
                    key = "vdir_z";
                    width = 10;
                }
            }
        }
    }
    spacer_1;
    : row {
        children_fixed_width = true;
        : column {
            : row {
                : column {
                    : text {
                        label = "Prospettiva:";
                    }
                    : text {
                        label = "Piano di ritaglio anteriore:";
                    }
                    : text {
                        label = "Piano di ritaglio posteriore:";
                    }
                }
                : column {
                    : text {
                        key = "persp";
                        width = 4;
                    }
                    : text {
                        key = "fclipon";
                        width = 4;
                    }
                    : text {
                        key = "bclipon";
                        width = 4;
                    }
                }
            }
        }
        : column {
            children_fixed_width = true;
            : row {
                : column {
                    : text {
                        label = "Lunghezza focale:";
                    }
                    : text {
                        label = "Offset:";
                    }
                    : text {
                        label = "Offset:";
                    }
                }
                : column {
                    : text {
                        key = "lens";
                        width = 8;
                    }
                    : text {
                        key = "fclip";
                        width = 8;
                    }
                    : text {
                        key = "bclip";
                        width = 8;
                    }
                }
            }
        }
    }
    spacer_1;
    ok_only;
}



/* debug setting */
/*dcl_settings : default_dcl_settings { audit_level = 2;}
*/

/* New available ID for Language is 149 */

/* prototypes for ok... buttons */

my_ok_button : column {
        :ok_button
        {
          /* LANGID 1 */
          label = "  OK  ";
        }
}


my_cancel_button : column {
        :cancel_button
        {
          /* LANGID 2 */
          label = "Annulla";
        }
}

my_about_button :retirement_button {
            /* LANGID 3 */
            label = "Info su.";
            key="about_button";
}

my_yes_button : retirement_button {
        /* LANGID 4 */
        label = "  S  ";
        key   = "yes";
        is_default = true;
}

my_no_button : retirement_button {
        /* LANGID 5 */
        label = "  NO  ";
        key   = "no";
}


my_close_button :column {
        :ok_button
        {
          /* LANGID 6 */
          label = "Chiudi";
        }

}


my_help_button :column {
        :help_button
        {
          /* LANGID 7 */
          label = "?...";
        }

}
 

my_ok_only : column {
    fixed_width = true;
    alignment = centered;
    :my_ok_button {
        is_cancel = true;
    }
}


my_close_help :column {
    : row {
        fixed_width = true;
        alignment = centered;
        my_close_button;
        : spacer { width = 2; }
        my_help_button;
        
    }
}

my_ok_cancel_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        my_ok_button;
        : spacer { width = 2; }
        my_cancel_button;
        : spacer { width = 2; }
        my_help_button;
    }
}

my_ok_cancel_about_help : column {
    :row {
        my_ok_button;
        : spacer { width = 2; }
        my_cancel_button;
        : spacer { width = 2; }
        my_help_button;
        : spacer { width = 2; }
        my_about_button;
    }
}

my_ok_cancel : column {
    : row {
        fixed_width = true;
        alignment = centered;
        my_ok_button;
        : spacer { width = 2; }
        my_cancel_button;
    }
}



my_yes_no_cancel : column {
    : row {
        fixed_width = true;
        alignment = centered;
        my_yes_button;
        : spacer { width = 2; }
        my_no_button;
        : spacer { width = 2; }
        my_cancel_button;
        : spacer { width = 2; }
        my_help_button;
    }
}


/* main interface screens */

ocemain : dialog 
{
    /* LANGID 8 */
    label = "Oc Configuration Manager";
    :column 
    {
    	children_alignment=top;          
        :boxed_column 
        {
            /* LANGID 17 */
            label = "Impostazioni:";
            key="settings_set";
            :row	 
            {
			  	spacer_1;
		        :column
				{
                    :toggle 
    	            {
    	                key = "rcf_toggle";
    	                /* LANGID 126 */
    	                label = "Header RCF";
    	                value = "0";
    	            }
	                :boxed_column 
	                {
	                	fixed_width = true;
	                    fixed_height = true;
                        /* LANGID 18 */
                        label = "C&opie";
	                    key="copies_set";
						:row 
						{
                            :spacer{width=4;}          
	                     	:edit_box 
	                     	{
	                       		key = "copies";
	                       		edit_width = 3;
	                       		edit_limit = 3;
	                       		value = "1";
	                       		alignment = centered;
	                     	}
                            :spacer{width=6;}          

						}
						spacer_1;
	            	}
	                :boxed_radio_column 
	                {
	                	key = "color_mode_radio";
	                    fixed_width = true;
                        /* LANGID 136 */
                        label = "&Modo plotter";
	                    value = "color";
	                    :radio_button 
	                    {
                            /* LANGID 20 */
                            label = "Colore";
	                        key  = "color";
	                    }
	                    :radio_button 
	                    {
                            /* LANGID 134 */
                            label = "Scale di grigio";
	                        key  = "grey_scale";
	                    }
	                    :radio_button 
	                    {
                            /* LANGID 135 */
                            label = "Noir et blanc";
	                        key  = "monochrome";
	                    }
	             	}
			 	}
	            :column 
	            {
	           		:boxed_radio_column  
	           		{
                        /* LANGID 22 */
                        label= "&Risparmio supporto";
	                   	key="media_saver_radio";                   
	                   	value="bypass_radio";
	                   	:radio_button 
	                   	{
	                     	key="bypass_radio";
                            /* LANGID 23 */
                            label= "ignora";
	                   	}  
	                   	:radio_button 
	                   	{
	                     	key="machine_radio";
                            /* LANGID 24 */
                            label= "modo macchina";
	                   	}  
	               	}
	               	spacer_1;
	               	:boxed_column 
	               	{
                        /* LANGID 25 */
                        label= "&Qualit disegno";
	                   	key="quality_set";
	                   	:popup_list 
	                   	{
	                    	key="quality_list";
	                   	}
	                   	spacer_1;
	               	}
	               	spacer_1;
	               	:boxed_column 
	               	{
    	               	:toggle 
    	               	{
    	               		key = "poster_toggle";
                            /* LANGID 148 */
                            label = "Postermode";
    	                   	value = "0";
    	               	}
    		           	spacer_1;
    	               	:toggle 
    	               	{
    	               		key = "longplot_toggle";
                            /* LANGID 26 */
                            label = "modo plot esteso";
    	                   	value = "0";
    	               	}
	               	    spacer_1;
		           	}
		           	spacer_1;
	          	}
	            spacer_1;
	            spacer_1;
		    	:column 
		    	{
	        	    fixed_height=true;
		            children_alignment=centered;
			  	    spacer_1;
		            :button 
		            {
		            	key = "pens_button";
                        /* LANGID 27 */
                        label = "P&enne";
		            }
			  	    spacer_1;
		            :button 
		            {
		               	key = "transform_button";
                        /* LANGID 28 */
                        label = "&Trasforma";
		            }
			  	    spacer_1;
		            :button 
		            {
		               	key = "finishing_button";
                        /* LANGID 29 */
                        label = "&Finitura";
		           	}
			  	    spacer_1;
		            :button 
		            {
		            	key = "media_button";
                        /* LANGID 30 */
                        label = "&Supporto";
		            } 
			  	    spacer_1;
		            :button 
		            {
		             	key = "labeling_button";
                        /* LANGID 31 */
                        label = "&Etichetta";
		            }
			  	    spacer_1;
		            :button 
		            {
		              	key = "stamping_button";
                        /* LANGID 32 */
                        label = "&Marchio";
		      	    }    
			  	    spacer_1;
		        }
			}
		    spacer_1;
		}
	}
    :column 
    {
        :row 
        {
               	my_ok_cancel_about_help;  
        }
  	}
}
     

save_as : dialog {
     /* LANGID 33 */
     label = "Salva con nome";
     fixed_width=true;
     initial_focus="save_edit";
     :text {
        width = 45;
        key="save_as_text";
     }
     :edit_box {
        edit_with = 45;
        edit_limit = 40;
        key="save_edit"; 
        allow_accept=true;
     }

     :boxed_row {
        my_ok_cancel_help;
     }

}

import_as : dialog {
     /* LANGID 34 */
     label = "Importa come";
     fixed_width=true;
     initial_focus="save_edit";
     :text {
        width = 45;
        key="save_as_text";
     }
     :edit_box {
        edit_with = 45;
        edit_limit = 40;
        key="save_edit"; 
        allow_accept=true;
     }

     :boxed_row {
        my_ok_cancel_help;
     }

}

ok_cancel_show : dialog {
  /* LANGID 35 */
  label= "Dialogue";
  :text {
    key = "ok_cancel_show_text1";
    width = 50;
  }
  :text {
    key = "ok_cancel_show_text2";
    width = 50;
  }
  my_ok_cancel_help; 
}


yes_no_cancel_show : dialog {
  /* LANGID 36 */
  label= "Dialogo";
  :text {
    key = "yes_no_cancel_show_text1";
    width = 50;
  }
  :text {
    key = "yes_no_cancel_show_text2";
    width = 50;
  }
  my_yes_no_cancel;
}

about_screen : dialog {
    children_alignment=centered;
    fixed_width=true;
    /* LANGID 37 */
    label= "Info su";
    :text {
      key = "title1_text";
      width=35;
    }
    :text {
      key = "title2_text";
    }
    :text {
      key = "version_text";
    }
    :text {
      key = "copyright_text";
    }
    spacer_1;
    my_ok_button;

}


error : dialog {
  :text {
    key = "error_text";
    width = 80;
  }

  my_ok_only;
}

transform : dialog {
        /* LANGID 38 */
        label = "Trasformazione";
        :column{
         spacer_1;
         :boxed_radio_row {
           key="rotation_radio";
           /* LANGID 39 */
           label= "&Rotazione (antioraria):";
           value="zero_degree";
           :radio_button {
              key="zero_degree";
              /* LANGID 40 */
              label="0";
           }
           :radio_button {
              key="90_degree";
              /* LANGID 41 */
              label="90";
           }
           :radio_button {
              key="180_degree";
              /* LANGID 42 */
              label="180";
           }
           :radio_button {
              key="270_degree";
              /* LANGID 43 */
              label="270";
           }
           :radio_button {
              key="productive";
              /* LANGID 44 */
              label= "Produttiva";
           }
           :radio_button {
              key="folding";
              /* LANGID 45 */
              label= "Piegatura";
           }
         }
        spacer_1;
        :row {
         fixed_width = true;
            :boxed_column {
               fixed_width=true;
               /* LANGID 46 */
               label= "&Origine"; 
               key="origin_set";
               :popup_list {
                   key="origin_list";
                   edit_width=12;        

               }
               spacer_1;
            }
            :boxed_column {
               /* LANGID 47 */
               label = "Ri&flessione";
               key="mirror_set";
               :popup_list {
                   key = "mirror_list";
                   edit_width = 12; 
               }
               spacer_1;
            }
        }
        spacer_1;
        :boxed_column {
         /* LANGID 48 */
         label= "S&calatura";
         key="scaling_set";
         :row {
            :popup_list {
               key="scaling_list";
               edit_width = 20;
            }
            spacer_1;
            :edit_box {
               key = "xscale";
               /* LANGID 49 */
               label = "X:";
               edit_width = 5;
               edit_limit = 6;
            }
            :text {
               /* LANGID 50 */
               label = "%";
               key = "scalextext";
            }
            :edit_box {
               key = "yscale";
               /* LANGID 51 */
               label = "Y:";
               edit_width = 5;
               edit_limit = 6;
            }
            :text {
               /* LANGID 52 */
               label = "%";
               key = "scaleytext";
            }
          }
          spacer_1;
        }
        spacer_1;
        :toggle {
          key="scale_pen_toggle";
          /* LANGID 53 */
          label= "Scala &larghezze penna";
          value="0";
        }
        spacer_1;
        :boxed_row {
          my_ok_cancel_help;
          
        }
       }
}

/* MONOCHROME pens_mono */
pens_mono : dialog {
             /* LANGID 54 */
             label = "Penne (solo monocromia)";
             :column{
               spacer_1;
               :boxed_column {
                  :row {
                    :text {
                     /* LANGID 55 */
                     label= "Penna"; /*8*/
                     key="pen_text";
                     width=16;
                    }
                    :text {
                     /* LANGID 56 */
                     label= "Motivo"; /*9*/
                     key="pattern_text";
                     width=9;
                    }
                    :text {
                     /* LANGID 57 */
                     label= "Stato"; /*9*/
                     key="status_text";
                     width=9;
                    }
                    :text {
                     /* LANGID 58 */
                     label= "Transp."; /*9*/
                     key="transp_text";
                     width=9;
                    }
                  }
                  :list_box {
                     key="pen_list";
                     multiple_select=false;
                     tabs="1 14 25 36 45";
                     fixed_width=true;
                     width=56;
                     fixed_height=true;
                     height=7;
                  }
                  :row {
                    :column {
                      :edit_box {
                        key="from_edit";
                        /* LANGID 60 */
                        label= "&Da:";
                        edit_width=3;
                        edit_limit=3;
                      }
                      :edit_box {
                        key="to_edit";
                        /* LANGID 61 */
                        label= "&A:";
                        edit_width=3;
                        edit_limit=3;
                      }

                    }
                    :popup_list {
                        key="pattern_list";
                        edit_width=5;
                    }
                    :popup_list {
                        key="status_list";
                        edit_width=10;
                    }
                    :popup_list {
                        key="transparency_list";
                    }
                  }
                  spacer_1;
                  :row {
                    :button {
                        key="insert_button";
                        /* LANGID 62 */
                        label= "&Inserisci"; 
                    }
                    :button {
                        key="remove_button";
                        /* LANGID 63 */
                        label= "&Rimuovi"; 
                    }
                  }
                  spacer_1;
                }
              }
              :boxed_radio_row {
                   key = "transparency";
                   fixed_width = true;
                   /* LANGID 137 */
                   label = "&Controllo fusione colore";
                   value = "overlay";
                   :radio_button {
                       /* LANGID 138 */
                       label = "Overlay";
                       key  = "overlay";
                   }
                   :radio_button {
                       /* LANGID 139 */
                       label = "Fusione";
                       key  = "merge";
                   }
              }
              spacer_0;
              :boxed_row {
               my_ok_cancel_help;

              }
            
}

/* COLOR */
pens_color : dialog {
             /* LANGID 67 */
             label = "Penne (solo modo colore)";
             :column{
              :boxed_column {
                  :row {
                    :text {
                     /* LANGID 68 */
                     label= "Penna"; /*8*/
                     key="pen_text";
                     width=15;
                    }
                    :text {
                     /* LANGID 69 */
                     label= "Colore"; /*9*/
                     key="color_text";
                     width=16;
                    }
                    :text {
                     /* LANGID 70 */
                     label= "Transp."; /*9*/
                     key="transp_text";
                     width=8;
                    }
                  }
                  :list_box {
                     key="pen_list";
                     multiple_select=false;
                     tabs="1 15 26 37";
                     fixed_width=true;
                     width=49;
                     fixed_height=true;
                     height=7;
                  }
                  :row {
                    :column {
                        fixed_width=true;
                      :edit_box {
                        key="from_edit";
                        /* LANGID 72 */
                        label= "&Da:";
                        edit_width=3;
                        edit_limit=3;
                      }
                      :edit_box {
                        key="to_edit";
                        /* LANGID 73 */
                        label= "&A:";
                        edit_width=3;
                        edit_limit=3;
                      }

                    }
					:column {
                    	:button {
                        	key="color_button";
                        	/* LANGID 140 */
                        	label= "&Colore"; 
                    	}
						:image {
		        			key = "cur_color";
		        			height = 1;
							width = 10;
	            		}
					}
                    spacer_1;
                    :popup_list {
                        key="transparency_list";
                    }
                  }
                  spacer_1;
                  :row {
                    :button {
                        key="insert_button";
                        /* LANGID 74 */
                        label= "&Inserisci"; 
                    }
                    :button {
                        key="remove_button";
                        /* LANGID 75 */
                        label= "&Rimuovi"; 
                    }
                  }
                  spacer_1;
                }
               :row {   
               :boxed_radio_row {
                   key = "transparency";
                   fixed_width = true;
                   /* LANGID 137 */
                   label = "&Controllo fusione colore";
                   value = "overlay";
                   :radio_button {
                       /* LANGID 138 */
                       label = "Overlay";
                       key  = "overlay";
                   }
                   :radio_button {
                       /* LANGID 139 */
                       label = "Fusione";
                       key  = "merge";
                   }
               }
              }
              spacer_0;
              :boxed_row {
               my_ok_cancel_help;

              }
            }
    
}

labeling : dialog {
            /* LANGID 82 */
            label= "Etichettatura";
            :column {       
              spacer_1;
              :boxed_row {
                :toggle {
                 key="labeling_toggle";
                 /* LANGID 83 */
                 label= "&Aggiungi etichetta disegno";
                 value="0";
                }
              }
              spacer_1;
              :boxed_column {             
                key="composed_column";
                /* LANGID 84 */
                label= "&Composta da";
                :toggle {
                   key="name_toggle";
                   /* LANGID 85 */
                   label= "&Nome disegno";
                }
                :toggle {
                   key="time_toggle";
                   /* LANGID 86 */
                   label= "&Ora";
                }
                :edit_box {
                   key="comment_edit";
                   /* LANGID 87 */
                   label= "Commento:";
                   edit_width=20;
                   edit_limit=20;
                   fixed_width=true;
                }
                spacer_1;
              }
              :boxed_row {
               my_ok_cancel_help;

              }

             }
}

ocemedia : dialog 
{
    /* LANGID 88 */
    label= "Supporto";
    :column 
    {
        children_fixed_width=true;
        spacer_1;
        :row
        {
            :popup_list 
            {
                key="format_list";
                /* LANGID 89 */
                label= "&Formato carta:";
                edit_width=11;
            }
            spacer_1;
            spacer_1;
            :toggle 
            {
                key="media_auto_toggle";
                /* LANGID 128 */
                label= "Auto";
            }
        }
        spacer_1;
       :popup_list 
        {
            key="media_list";
            /* LANGID 90 */
            label= "&Tipo supporto:";
            edit_width=12;
        }
        spacer_1;
        :popup_list 
        {
            key="feed_list";
            /* LANGID 91 */
            label= "&Alim. carta:";
            edit_width=12;
        }
        spacer_1;
        :popup_list 
        {
            key="rollover_list";
            /* LANGID 92 */
            label= "&Priorit rotolo:";
            edit_width=17;
        }
        spacer_1;
    }
    :boxed_row 
    {
        my_ok_cancel_help;
    }
} 


finishing : dialog 
{
    /* LANGID 93 */
    label= "Finitura";
    :row 
    {
        children_alignment=top;
        :boxed_radio_row 
        {
            key="folding_radio";
            /* LANGID 141 */
            label= "&Piegatura";
            value="no_folding";
            :radio_button 
            {
                key="no_folding";
                /* LANGID 142 */
                label= "No";
            }
            :radio_button 
            {
                key="full_folding";
                /* LANGID 143 */
                label= "Completa";
            }
            :radio_button 
            {
                key="first_fold_only";
                /* LANGID 144 */
                label= "Solo prima piega";
            }
        }
		:boxed_column 
		{
			/* LANGID 146 */
			label= "&Perforazione";
			:toggle 
			{
				key="punching_toggle";
				/* LANGID 147 */
				label= "Perforazione";
			}
		}
		:boxed_column 
		{
			/* LANGID 97 */
			label= "&Metodo piegatura";
			key="method_set";
			:popup_list 
			{
				key="method_list";
			}
			spacer_1;
		}
    }
    :row 
    {
        children_alignment=top;
        :boxed_column 
        {
            /* LANGID 98 */
            label = "&Bordo rilegatura";
            key="binding_edge_set";

            :row
            {
                :toggle 
                {
                    key="binding_edge_toggle";
                    /* LANGID 99 */
                    label = "a&ttiva";
                    value="0";
                }
                :edit_box 
                {
                    fixed_width=true;
                    /* LANGID 127 */
    label = "           ";
                    key="binding_edge_edit";
                    edit_width=6;
                    edit_limit=6;
                }
                :text_part 
                {
    		        key="binding_edge_unit_text";
    			    width=3;
    			    value="mm";
    		    }  
            }
			spacer_1;
        }
        :boxed_column 
        {
            fixed_height=true;
            key="orientation_set";
            /* LANGID 100 */
            label = "&Orientamento piega";
            :popup_list 
            {
                key="orientation_list";
            } 
            spacer_1;
        }             
    }
    :boxed_column 
    {
        /* LANGID 101 */
        label = "&Pacchetto piegato";
        key="folding_lw_set";
        :column 
        {
	        :row 
	        {
	            :edit_box 
	            {
	                key="fold_length_edit";
                    /* LANGID 102 */
                    label = "Lungh.:";
	                edit_limit=6;
	                edit_width=6;
	            }
	            :text_part 
	            {
				    key="fold_length_unit_text";
				    value="inch";
			    }
		        spacer_1;
	            :edit_box 
	            {
	                key="fold_width_edit";
                    /* LANGID 103 */
                    label = "Largh.:";
	                edit_limit=6;
	                edit_width=6;
	            }
	            :text_part 
	            {
				    key="fold_width_unit_text";
				    value="inch";
			    }
		    }
        }
        spacer_1;
    }
    :row 
    {
        :boxed_column 
        {
            /* LANGID 104 */
            label = "&Deposito";
            key="deposit_set";

            :row
            {
                :popup_list
                {
                    key="deposit_list";
                    /* LANGID 132 */
                    label = "Piegatura";
                    edit_width=10;
                }
                spacer_1;
                :popup_list
                {
                    key="deposit_unfold_list";
                    /* LANGID 130 */
                    label = "Non-piegatura";
                    edit_width=15;
                }
                spacer_1;
                :edit_box 
                {
                    key="bin_edit";
                    /* LANGID 131 */
                    label = "Vassoio";
                    edit_limit=2;
                    edit_width=2;
                }
            }
            spacer_1;
        }
    }
    :row
    {
        :boxed_column 
        {
            /* LANGID 106 */
            label = "&Taglia a";
            key="cut_set";
            :row
            {
                :popup_list 
                {
                    key="cut_list";
                    edit_width=15;
                }
                spacer_1;
                :edit_box 
                {
                    key="custom_length_edit";
                    /* LANGID 129 */
                    label = "Lunghezza:";
                    edit_limit=6;
                    edit_width=6;
                }
                :text_part 
                {
        		    key="custom_length_text";
        		    value="mm";
        	    }
            }
            spacer_1;
        }
    }
    spacer_0;
    :boxed_row 
    {
        my_ok_cancel_help;
    }
}

stamping : dialog {
              /* LANGID 107 */
              label = "Marchio";
              :boxed_row { 
                :toggle {
                   key="stamping_toggle";
                   /* LANGID 108 */
                   label = "&usa marchio";
                   value="1";
                }
              }
              spacer_1;
              :popup_list {
                key="stamp_list";
                /* LANGID 109 */
                label = "&Stringa predefinita:";
                fixed_width=true;
              }
              spacer_1;
              :boxed_radio_row {
                 key="position_radio";
                 /* LANGID 110 */
                 label = "&Posizione";
                 value="bottom";
                 :radio_button {
                   key="bottom";
                   /* LANGID 111 */
                   label = "In basso";
                 }
                 :radio_button {
                   key="middle";
                   /* LANGID 112 */
                   label = "Al centro";
                 }
                 :radio_button {
                   key="top";
                   /* LANGID 113 */
                   label = "In alto";
                 }
              }   
              spacer_1;          
              :boxed_radio_row {
                 key="font_radio";
                 /* LANGID 114 */
                 label = "&Dimensione font";
                 value="small";
                 :radio_button {
                   key="small";
                   /* LANGID 115 */
                   label = "Ridotto";
                 }
                 :radio_button {
                   key="large";
                   /* LANGID 116 */
                   label = "Esteso";
                 }
              }   
              spacer_1;          
              :boxed_radio_row {
                 key="grayscale_radio";
                 /* LANGID 117 */
                 label = "Scala dei &grigi";
                 value="black";
                 :radio_button {
                   key="black";
                   /* LANGID 118 */
                   label = "Nero";
                 }
                 :radio_button {
                   key="darkgray";
                   /* LANGID 119 */
                   label = "Grigio scuro";
                 }
                 :radio_button {
                   key="gray";
                   /* LANGID 120 */
                   label = "Grigio";
                 }
                 :radio_button {
                   key="lightgray";
                   /* LANGID 121 */
                   label = "Grigio chiaro";
                 }
              }   
              

              spacer_1;
              :boxed_row {
                 my_ok_cancel_help;
              }

}
